Introduction

EasySpreadsheet™ is a powerful member of the EasyOffice family, which lets you create easy-to-use and easy-to-maintain spreadsheets.

EasySpreadsheet can create 100% compatible Excel spreadsheets, as well as open most Excel spreadsheets. However, it cannot open Excel graphics, nor save its graphs in Excel format. An Excel Viewer is integrated with EasySpreadsheet (CD-ROM versions only) and will open any Excel spreadsheet containing graphics. As well, EasySpreadsheet contains an *.ess format that allows savings of graphs constructed within EasySpreadsheet.


EasySpreadsheet Tutorial

The EasySpreadsheet Tutorial guides you through the basic steps of creating a working spreadsheet. By default, this tutorial appears each time you start EasySpreadsheet.

  • To view the tutorial, go to the Help menu, and click EasySpreadsheet Tutorial.

  • To view the tutorial each time you start the EasySpreadsheet program, go to the Help menu, and check off Start Tutorial at Startup. If you do not want the tutorial to come up each time you start the program, un-check this option.


What is a Worksheet? A Workbook?

Worksheet (or simply, sheet) refers to the data table on your screen, which looks like an accounting ledger worksheet.

There can be multiple sheets. At the bottom of the screen are small tabs that may say 'Sheet1', 'Sheet2', 'Sheet3', and so on. All of these sheets are said to comprise a 'Workbook'.

When you save your worksheet, the program will actually automatically save all of the sheets (i.e., the whole workbook) for you. However, when printing, in order not to waste paper, you will be given the choice of whether you want to print the selected displayed sheet, or the entire workbook (i.e., all of the sheets).


Easy Mode and Advanced Mode

EasySpreadsheet has two modes: Easy Mode and Advanced Mode. Easy Mode is not available in EasySpreadsheet2.

Once you have become familiar with the basic features of EasySpreadsheet, you can switch to Advanced Mode. Advanced Mode provides the same features as Easy Mode, but adds even more features to your screen. Switching between modes will not affect your worksheet at all.

Switching Between Modes

If you are in Easy Mode and would like to switch to Advanced Mode, click the Advanced Mode button (shown below). Alternately, you can check off Advanced Mode under the View menu.

In Advanced Mode, you can switch back to Easy Mode at any time. Simply click the EZ button (shown below), or go to the View menu and select Easy Mode.


Toolbar Customization

In Advanced Mode, EasySpreadsheet allows for toolbar customization.

You can customize individual icons, just like with other Windows-based spreadsheet programs. To customize a toolbar:

  1. Ensure that you are in Advanced Mode. (If you are in Easy Mode, click the Advanced Mode button.)

  2. Double-click the toolbar you would like to customize.

  3. You can add or remove buttons from the toolbar by selecting a button under Current toolbar buttons and then clicking Add or Remove.

  4. To change the position of a button in a toolbar, click Move Up or Move Down.

  5. If you select Show Text Labels under Text options, a description for each button will appear underneath it in the toolbar (or to the right if you select Selective Text on Right.

  6. Under Icon options, you can choose to have either small icons or large icons.

To hide or show Advanced Mode toolbars:

To hide one (or both) of the Advanced Mode toolbars, go to Toolbars in the View menu. Un-check Standard to hide the standard toolbar. This toolbar contains icons for functions such as saving, zooming, sorting, totaling, and inserting. Un-check Format to hide the formatting toolbar. This toolbar contains icons for options such as font size and type, color, alignment, and cell borders.

To show either of these toolbars again, simply check off Standard or Format.


Total Bars

The total bars are located below and to the right of your spreadsheet. They display the totals of each column and row.

To show or hide the total bars:

  1. Go to the View menu.

  2. To show the total bars, check off Show side and bottom total bars. To hide the total bars, un-check this option.


Drawing Toolbar

EasySpreadsheet features a Drawing Toolbar that allows you to access various drawing tools. You can use these tools to draw lines, rectangles, ellipses, and other shapes.

To show or hide the drawing toolbar:

  1. Go to the View menu.

  2. Go to Toolbars.

  3. To show the toolbar, check off Drawing. To hide the toolbar, un-check this option.

  4. The drawing toolbar will appear.

See Also:

Inserting Shapes


Quick-task Menu

While working on a sheet, there may be common tasks that you need to perform frequently - copying and pasting cells, inserting functions, adding words to your dictionary, and so on. The Quick-task Menu allows you to perform such tasks with the click of a button.

To access the Quick-task Menu, right-click your mouse. The menu will appear on your screen, and it includes the following functions:

  • Cut: Cuts the selected text, cells, or objects.

  • Copy: Copies the selected text, cells, or objects.

  • Paste: Pastes what you have previously copied. If cells were copied, formulas and formats will be pasted.

  • Paste Special: Allows you to choose to paste values, formulas, or formats.

  • Insert: Allows you to insert a new row or column.

  • Delete: Allows you to delete a row or column.

  • Clear Contents: Erases the text or data from the selected cell(s).

  • Format Cells: Allows you to change the font, text alignment, cell borders, and fill color of the selected cell(s). Also allows you to apply number formatting (currency, fixed decimals, scientific notation, etc.).

  • Add word to dictionary: Adds the word just before the cursor to the user dictionary. When the spell checker encounters this word, it will not be considered a spelling error.


Keystroke Shortcuts

Keystroke shortcuts exist for many of the commonly used features of EasySpreadsheet. Keystroke shortcuts offer you the advantage of performing various functions directly from the keyboard, without having to use the mouse.

Function | Keystroke
Edit
Select All | Ctrl+A
Find | Ctrl+F
Find and Replace | Ctrl+H
Cut | Ctrl+X
Copy | Ctrl+C
Paste | Ctrl+V
Undo | Ctrl+Z
Redo | Ctrl+Y
File
Save | Ctrl+S
Open | Ctrl+O
New | Ctrl+N
Print | Ctrl+ P
Send as FAX | Ctrl+D
Other
EasySpreadsheet Help | F1

Note: You do not have to enter the capitalized form of the above letters. Nor should you be entering a plus (+) sign. For example, the shortcut for bold (Ctrl+B) means press the Ctrl key and the B key at the same time.

See Also:

International Characters


International Characters

Entering International Characters

à, è, ì, ò, ù À, È, Ì, Ò, Ù, à, è, ì, ò, ù À, È, Ì, Ò, Ù ,â, ê, î, ô, û Â, Ê, Î, Ô, Û, â, ê, î, ô, û Â, Ê, Î, Ô, Û, ã, ñ, õ Ã, Ñ, Õ, ä, ë, ï, ö, ü, ÿ Ä, Ë, Ï, Ö, Ü, Ÿ, ...& more

You can insert an International Character by entering a standard Microsoft International Character shortcut keystroke:

To enter this character: | Use these keystrokes:
à, è, ì, ò, ù À, È, Ì, Ò, Ù | Ctrl+` followed by any of these letters
á, é, í, ó, ú, ý Á, É, Í, Ó, Ú, Ý | Ctrl+' followed by any of these letters
â, ê, î, ô, û Â, Ê, Î, Ô, Û | Ctrl+Shift+^ followed by any of these letters
ã, ñ, õ Ã, Ñ, Õ | Ctrl+Shift+~ followed by any of these letters
ä, ë, ï, ö, ü, ÿ Ä, Ë, Ï, Ö, Ü, Ÿ | Ctrl+Shift+: followed by any of these letters
å, Å | Ctrl+Shift+@ followed by a or A
æ, Æ | Ctrl+Shift+& followed by a or A
œ, Œ | Ctrl+Shift+& followed by o or O
'ç, Ç | Ctrl+, followed by c or C
'ð, Ð | Ctrl+' followed by d or D
¿ | Alt+Ctrl+Shift+?
ß | Ctrl+Shift+& followed by s
¡ | Alt+Ctrl+Shift+!
ø, Ø | Ctrl+/ followed by o or O
€ | Ctrl+$

For example, to place a circumflex accent (^) above a letter, hold the Ctrl key and the Shift key, and then press the ^ key. Let go of the keys, and then enter whatever letter you want. The ^ accent will appear on top of the letter. (This is summarized as: Ctrl+Shift+^)

Note: The shortcut for the Euro € is not a standard Microsoft International Character shortcut, but defined here for EasyOffice, due to the demand we have had for such a shortcut.

Language Notes

European Languages: Use any English (or other European language version) Windows to enter characters from most European languages. All languages can co-exist in EasyOffice.

Japanese: For best results, please use a Japanese version of Microsoft Windows or a version that supports Japanese; Japanese and English characters can co-exist in EasyOffice.

Traditional Chinese: For best results, please use a Traditional Chinese version of Microsoft Windows or a version that supports Traditional Chinese; Traditional Chinese and English characters can co-exist in EasyOffice.

Simplified Chinese: For best results, please use a Simplified Chinese version of Microsoft Windows or a version that supports Simplified Chinese; Simplified Chinese and English characters can co-exist in EasyOffice.

Korean: For best results, please use a Korean version of Microsoft Windows or a version that supports Korean; Korean and English characters can co-exist in EasyOffice.


Spreadsheet Options

The options in EasySpreadsheet are available so you can customize your workspace and format some basic elements of your sheet. In order to change your spreadsheet options, do the following:

  • Click on Tools from the top menu bar.

  • Select Options from the menu.

  • You will be given three possible topics; General, View and Chart.

View Options

These options allow you to make your workspace more comfortable to work with. You have the choice to change the location of toolbars, which tools you want to show, and the options for your window:

  • Show Formula Bar - The check-box should have a checkmark in it, if the Formula Bar is visible in your workspace. Click in the check-box and the check-mark will disappear and the Formula Bar will be removed from your workspace.

  • Show Status Bar - The check-box should have a checkmark in it, if the Status Bar is visible in your workspace. Click in the check-box and the check-mark will disappear and the Status Bar will be removed from your workspace.

  • Show/Hide All Objects - If you have objects in your sheet which you have previously drawn, you have the ability to hide them from sight. Click on the circular bullet labeled Hide All, and this will make all the objects in your sheet invisible. Otherwise, click on Show All, to bring them visible.

  • Window Options - You can make the following elements of your program visible or invisible by clicking on the check-box beside each. If there is a check-mark, it is visible in the program, if not, then you won't see it in the program; Grid lines, Formulas, Row Headers, Column Headers, Zero Values, Type Markers.

  • Horizontal Scroll Bar - The Horizontal Scroll Bar allows you to scroll through a large sheet with columns not currently visible on the screen. You can show or hide the scroll bar by clicking on the appropriate check-circles. The default is set on the Auto. Click on Show, to make the Scroll Bar visible all the time, or click Hide to make it invisible.

  • Vertical Scroll Bar - The Vertical Scroll Bar allows you to scroll through a large sheet with rows not currently visible on the screen. You can show or hide the scroll bar by clicking on the appropriate check-circles. The default is set on the Auto. Click on Show, to make the Scroll Bar visible all the time, or click Hide to make it invisible.

  • Sheet Tabs - The Sheet Tabs are the tabs which keep track of the sheets you currently have in EasySpreadsheet. You can change their location, or make them invisible by clicking on the appropriate check-circles. The default location is at the Bottom. Click on Top, to change the location to the top of your sheet, or click Hide to make them invisible.


Zooming In and Out

You may have many rows or columns in your sheet that you want to see at the same time. EasySpreadsheet allows you to change the size of your sheet as it appears on your screen.

To zoom in (enlarge) or zoom out (shrink):

  1. Go to the View menu, and select Zoom.

  2. A Zoom window will appear.

  3. You can choose the amount of your sheet to display on your screen at one time. Select a Magnification percentage, or type your own in the Custom box. If you choose a small percentage, such as 50%, the size of the sheet's numbers and letters will be reduced to 50% of their actual size, and as a result, many cells can be displayed at once.

Note: If you are in Advanced Mode, there is another way to quickly zoom in and out. A Scale box is located near the top, right side of the Advanced toolbar (it contains the present zoom percentage). Click the down arrow on this box to select another zoom percentage, or type in your own. If you switch to Easy Mode, this zoom will be preserved.


Full Screen View

The Full Screen viewing option allows you to hide the toolbars, so that you can see more of your sheet at a time.

To turn Full Screen viewing on, go to the View menu, and check off Full Screen. The toolbars will disappear, and you will be left with only the main menu at the top of your screen. In addition, a small window containing a button (with a screen on it) will appear.

To turn Full Screen viewing off, click the button with the screen on it. Or, go to the View menu, and un-check Full Screen. Your screen will return to normal, and the toolbars will reappear.


Freezing Panes

If you create a large spreadsheet, then as you scroll to more distant columns or rows, informative labels that you entered will no longer be visible. It is a bother to have to repeatedly scroll back to the first few columns or rows. For example, perhaps you have a label in cell C3 to describe Row 3 as "Year-to-date Expenses", and another label in cell C6 to describe Row 6 "Last-Year's Expenses".

Freezing panes will keep certain rows and columns visible, even as you scroll to more distant cells.

To freeze columns:

  1. Click on the cell in row 1 that is just to the right of the column you want to freeze. For example, to freeze column A, select cell B1.

  2. Go to the Window menu, and click Freeze Panes.

  3. All columns to the left of your selected cell will be frozen. For example, if you selected cell D1, then columns A, B, and C will be frozen. As you scroll to distant cells, these columns will still be visible.

To freeze rows:

  1. Click on the cell in column A that is just below the row you want to freeze. For example, to freeze row 1, select cell A2.

  2. Go to the Window menu, and click Freeze Panes.

  3. All rows above your selected cell will be frozen. For example, if you selected cell A4, then rows 1, 2, and 3 will be frozen. As you scroll to distant cells, these rows will still be visible.

To freeze columns and rows:

  1. Click on the cell that is just below, and to the right of the rows and columns you want to freeze. For example. to freeze column A and row 1, select cell B2.

  2. Go to the Window menu, and click Freeze Panes.

  3. All the rows above your selected cell, and all the columns to the left of your selected cell, will be frozen. For example, if you selected cell C2, then columns A and B, and row 1 will be frozen. As you scroll to distant cells, these columns and rows will still be visible.

To unfreeze columns and/or rows:

  1. Go to Windows menu at the top of your screen.

  2. Click Unfreeze Panes. (Note: If you see Freeze Panes instead, then no panes are frozen.)


Tiling and Cascading Windows

It is possible to view more than one spreadsheet window one the screen at once.

To display all open sheets on your screen at once:

  1. Go to the Windows menu at the top of your screen.

  2. Click one of the following:

    • Tile Horizontal: Sheet windows will be tiled and separated horizontally.

    • Tile Vertically: Sheet windows will be tiled and separated vertically.

    • Cascade: Sheet windows will be layered on top on of one another.

  3. Switch between sheets by clicking on the sheet windows.

  4. If you want to view a sheet in the full screen instead, double-click the bar at the top of the sheet window (which displays the name of the sheet).


Starting a New Sheet

To start a new, blank sheet, do one of the following:

  • Under the File1 menu, select New. Or,

  • Press Ctrl+N on your keyboard. Or,

  • If you are in Easy Mode, click the Start a New Sheet button on the toolbar to the right on the window. Or,

  • If you are in Advanced Mode, click the button that looks like a white piece of paper.

You will now have a new, blank sheet in front of you to work with!


Saving a Sheet

If you want to save a workbook, do one the following:

  • In Easy Mode, click the Save this Sheet button. Or,

  • In Advanced Mode, click the icon that looks like a floppy disk. Or,

  • Go to the File1 menu and select Save. Or,

  • Use the Ctrl+S keyboard shortcut.

If you selected Save under the File1 menu and workbook already been saved, there is nothing else to do. EasySpreadsheet will automatically save your workbook to the same location, with the same name.

Otherwise, a Save Sheet box will pop up. If you have already saved the workbook, and want to save it again to the same location, with the same file name, simply click Save. For more saving options:

  1. Type the name of your workbook in the File name box. EasySpreadsheet will provide a name for your workbook, such as 'Book1'. It is recommended to use a more unique name of your own choosing. If 'Book1' (or other given name) is already highlighted, there is no need to click on it with your mouse - simply start typing, and the highlighted 'Book1' (or other name) will disappear.

  2. Choose to save your workbook in another directory or folder by selecting one from the Save in box. EasySpreadsheet will normally try to save your file in the My Documents folder; however, you have the option of saving it in a different location. Move to other folders following standard Windows commands. Press the Up One Level folder-like icon to move up a level in the folder hierarchy. Or, press the down arrow in the Save In box to select another folder at that level, or to move around in the folder hierarchy.

In the Save In box, you can also switch from your main hard drive (usually C:\) to a floppy drive (usually A:\), or to a CD-ROM drive (usually D:\, E:\, or F:\). For example, to save a file on a floppy disk, insert the floppy disk into your computer, and use the Save In box to select your floppy drive (A:\).

  3. Choose the type of file that you wish to save your document as by selecting one from the Save as type box. EasySpreadsheet is capable of saving your worksheet as an *.ess file (E-press EasySpreadsheet File), an *.xls file (Microsoft Excel File), *.txt file (Tab Delimited Text File), a *.csv file (Comma Delimited File), an *.htm file, a *.zip file, or a *.pdf file.

EasySpreadsheet will usually be set to save your workbook as an *.ess file. You can, however, change the type of file your document will be saved as by selecting another type from the Save as type box.

  4. When you are ready to save your file, click the Save button.

Save As

You may want to save a file that you have already saved under a different name, or in another location. You might retrieve a file from your disk that you want to modify, but still wish to keep the old file as is. If select Save from the File1 menu, your sheet will automatically be saved to the same file location, with the same file name. The old file will be overwritten. To prevent this from happening, you must Save As. To do so:

  • In Easy Mode, click the Save this Document button. Or,

  • In Advanced Mode, click the icon that looks like a floppy disk. Or,

  • Go to the File1 menu and select Save As. Or,

  • Use the Ctrl+S keyboard shortcut.

A Save Sheet window will appear. The old file name will appear in the File Name box. Simply type the new name in this box. You can select a new location from the Save In box. Then, click Save.


Retrieving a Sheet

If you have a saved sheet that you would like to continue working with, do the following to retrieve it:

  • If you are in Easy Mode, click the Retrieve an Old Sheet button. Or,

  • If you are in Advanced Mode, click the button that looks like an open folder. Or,

  • Go to the File1 menu, and select Open. Or,

  • Use the Ctrl+O keyboard shortcut.

An Open Sheet window will appear, allowing you to select the workbook you wish to open. Here, you can:

  1. Search for a file by selecting folders or directories in the Look in box.

  2. Choose to only see files of one type by selecting a type from the Files of type box. This may be useful if you know the type of the file that you are looking for. To see files of all types, ensure that All Files is selected.

  3. Select a file by clicking it once, then clicking the Open button. You may instead click the file once and hit the Enter key. Double-clicking on a file should also cause it to open.

Your workbook of sheets will be retrieved, and ready for you to modify.


Closing a Sheet

To close your spreadsheet:

  • Go to the File1 menu, and click Close.

  • If you want to close all open spreadsheets at once, go to the File1 menu, and click Close ALL Open Spreadsheets.

If you have modified the sheet but have not saved it yet, then EasySpreadsheet will ask you if you want to save it.


Passwords: Encrypting Your Files

EasySpreadsheet has the useful feature of being able to save and retrieve encrypted ZIP files. These files require a password to un-encrypt and read the spreadsheet.

To save a spreadsheet with a password:

  1. Go to the File1 menu, and select Save with Password.

  2. A warning will appear to inform you that your file will be compressed, and can only be retrieved if you remember your password. Click OK..proceed with encryption to continue.

  3. A Set Password window will appear for you to type in your secret password. Type your password in the Password box, then confirm your password by typing it again in the box below. Click OK.

  4. This will automatically save your current spreadsheet as a ZIP file. If you save your sheet as another file type, it will NOT be encrypted.

To open an encrypted ZIP file:

  1. Click Retrieve an Old Sheet or press Ctrl+O. (Refer to Retrieving a Sheet.)

  2. An Open window will appear.

  3. To view only ZIP files, select Zip (compressed) from the Files of Type box.

  4. Click the file you want to open, and then click Open.

  5. A window will appear asking you to enter the password. You must know the password in order to open your sheet. Click OK.

  6. EasySpreadsheet will automatically decompress and open your encrypted sheet.

Notes

  1. Industry-standard ZIP encryption is performed. This is reasonably good encryption for normal purposes.

  2. At the time of this writing, there is no 'master' password or back door that we at e-press know about. If you forget your password, you will not be able to retrieve your file (nor will we be able to help you).

  3. There may be methods known to the encryption community for opening such files, even if the password is not known.

  4. This is NOT Microsoft Office encryption. You will not be able to open the encrypted file in Microsoft Office, although you will be able to open up the file any standard ZIP program. Similarly, you will not be able to open a Microsoft Office encrypted spreadsheet with EasySpreadsheet .

  5. If password-protected file is saved, but a non-password protected file of the same name exists in that directory, then the non-password protected file will usually be deleted. It is assumed that you are using password protection so that unauthorized users do not have access to your file.


Saving as a PDF File

EasySpreadsheet has the useful feature of being able to save and retrieve Adobe-compatible PDF files.

When you save a document as a PDF file, the document is automatically converted into a generic Windows printer file, which is then automatically converted into an Adobe-compatible PDF file.

You can view your saved PDF file in EasySpreadsheet, or any other Adobe-compatible program.

To save a spreadsheet as a PDF File:

  1. Go to the File1 menu, and select Save as PDF file.

  2. A Save Sheet window will appear. Notice that PDF (*.pdf) is selected in the Save as type box.

  3. Type a name in the File name box, and then click Save.

Adjusting Features of the PDF Export Filter

Each time you save a document as a PDF file, a dialog box pops up that allows you change any of the properties of your file. You do not need to change any of the properties if you don't want, but can simply click OK to use the defaults.

Document paper size: What is the paper size of your document? The default is Letter size (8 1/2-11 inches), but if you use a different size paper such as A4, please click this setting.

Orientation of your document: The default is Portrait orientation, but if you are saving a Landscape document, you should click this setting.

Embed fonts in PDF file: This default setting embeds all fonts into the PDF file which is being created. This allows all users, regardless of the fonts they have on their computer, to view your document as you intended it. However, embedding fonts takes up memory space, and results in a larger file. (Note: Arial, Times New Roman and special licensed fonts are not embedded, the former for reasons of the universality, and the latter for licensing reasons.)

Image compression: Images take up lots of memory space. Compression reduces the size of an image, and thus the resulting PDF file that is produced. The default compression works well as long as most images in your document are 256 colors or less. 256 color compression is a type of compression that automatically calculates the 256 most used colors in an image, and uses these colors to effect a generally lossless compress, but is slow. JPEG compression is a bit lossy, but produces very good results with real-life photographs.

Watermark: If you select a watermark, then the text you enter in the watermark box will be displayed in the background of every page of the PDF file you create.

PDF Installation Notes

There may be a series of text messages reporting various status codes during installation. Ignore them - this is normal.

If you check your printer selections, the PDF Export Filter in EasyWord will have set up a printer called 'PDF Compatible Printer Driver' - this is normal.

Windows NT & 2000: You will need Administrator (or at least printer) privileges in order for EasyWord to set up the necessary printer driver. If you don't have Administrator privileges, ask your system administrator to give you privileges that allow you to set up your own printer.

Windows95/NT: Some configurations of Windows95 or NT may not allow successful operation of the PDF Export Filter. This may range from simply not creating the file to causing a print (or program) failure.

Note: If there are any problems in normal printing caused by the PDF Export Filter, please go to the Tools drop-down menu, and un-install the PDF Export Filter. You can install it again, should you wish, by either going to the Tools drop-down menu, or automatically by simply trying to save a file in PDF format. If the PDF Export Filter does not work properly under your configuration of Windows95/NT, consider upgrading your version of Windows.

Error Message: "You must install a printer before printing this document"

This error message may occur if no printer is installed on your computer or else the printer does not use the LPT1 port.


Viewing PDF Spreadsheets

As a service to our users who may need to read or print Adobe PDF files, a copy of Adobe Acrobat Reader 5 is provided. You can copy material from a PDF file and paste it into your EasySpreadsheet document.

To view a PDF file:

  1. Retrieve a file as you normally would. Go to File1 -> Open, click the Retrieve an Old Sheet button, or press Ctrl+O.

  2. An Open Sheet window will appear.

  4. Click on the PDF file you wish to view, and click Open.

  5. The sheet will be displayed by the Adobe Reader.

Notes on the Adobe Reader

If you already have Adobe Acrobat Reader 3 or higher on your computer, Acrobat Reader 5 will not be installed, but instead your present version of Adobe Acrobat will be used.

Due to space constraints, the Acrobat Reader is not provided with downloaded versions of EasyOffice. However, you can download at copy of the Acrobat Reader at www.adobe.com .


Excel Viewer

Microsoft Excel Viewer

Although EasySpreadsheet can produce files that are 100% compatible with Microsoft Excel, there may be times when you need to read or print an Excel file which contains an advanced feature not supported by EasySpreadsheet.

The Microsoft Excel Viewer is useful for such times, and is included with EasyOffice.

If, in EasySpreadsheet, you try to retrieve an Excel file not supported by EasySpreadsheet (for example, an Excel 2.0 file), then the Excel Viewer will automatically be used to open this file for you, so that you can view it or print it.

If, in EasySpreadsheet, you retrieve an Excel file that EasySpreadsheet opens, but it does not display an Excel chart or formatting to your liking, you can try to open it with the Excel Viewer instead. To open a file with the Excel Viewer, go to the File1 menu, and select Open with Excel Viewer. Or, simply click the Excel Viewer button (shown below, for both Easy Mode and Advanced Mode). The file will automatically be opened in the Excel Viewer. When you exit the Excel Viewer, the file is automatically re-opened with EasySpreadsheet.

Tip: Sometimes you may open an Excel file that contains an Excel graphic which EasySpreadsheet does not support, and there may be an "Unsupported Chart" message in the Chart worksheet. However, the figures from that worksheet were most likely opened correctly. If you need to modify these figures (as opposed to simply viewing the spreadsheet in the Excel Viewer), look at the sheet tabs at the bottom of the screen, and check to see if the figures were placed in another worksheet.

Other Notes on Excel Viewer

If an actual copy of Microsoft Excel is detected on your computer, the Excel Viewer will not be installed. Instead, the actual copy of Microsoft Excel will be used for viewing Excel files when requested. If you un-install this copy of Microsoft Excel at a later date, not to worry. The Excel Viewer will automatically be installed.

The Microsoft Excel Viewer is included with the CD-ROM version of EasyOffice, but space does not allow inclusion with the downloadable versions.


Automatic backups

Automatic Savings/Backups

An extensive automatic backup system is built into EasySpreadsheet.

Under default settings, every 20 minutes, your worksheet is automatically saved to a backup file. The previous backup file is copied to the Grandfather Backup file. The previous Grandfather Backup file is copied to the Great-Grandfather Backup file.

You can adjust the time setting, to make backups more or less frequently. As well, you can easily turn backups OFF (default is ON).

If the AncestorsTM settings is turned on (default is OFF), then each time a backup is made, a copy is also deposited in the Ancestors Backups folder. (If there are no changes in the worksheet, then in order to conserve disk space, no copy will be deposited in the Ancestors Backups folder.)

In addition, when you save your worksheet, a similar process occurs: your worksheet is automatically saved to a backup file. The previous backup file is copied to the Grandfather Backup file. The previous Grandfather Backup file is copied to the Great-Grandfather Backup file. If the Ancestors Backups setting is turned on (default is OFF), then the current file is also copied to the Ancestors Backups folder; thus, if you exit the program, a backup copy of the file is preserved in the Ancestors Backups folder.

"I have never played around with the Automatic Backups before, but I just deleted my worksheet by mistake, I can't find it in the recycle bin, and I want it back. What should I do?"

To open a backup file:

  1. Click on the File1 drop-down menu at the top of the screen.

  2. Select Open Backup.

By default, EasySpreadsheet will perform automatic backups every 20 minutes. This means that whatever was in your current worksheet 20 minutes ago was saved as a backup and is now retrieved.

If you select Open Grandfather Backup, you will retrieve what was in your current worksheet 40 minutes ago, while Open Great-Grandfather Backup will retrieve what was in your current worksheet 60 minutes ago.

If Ancestors Backups setting is ON (the default is actually OFF; you must turn this feature ON to use it), a snapshot of your worksheet every 20 minutes has been saved, going back to when you first started working on it - even if that was many years ago. (Note: If there are no changes in your worksheet between each 20 minute interval, then no backup copy is performed for that interval.)

"Why do I need Grandfather Backups , Great-Grandfather Backups or Ancestors? A single backup should really suffice. This seems wasteful."

Most of the time, a single backup is all you really need. However, for that occasional (or frequent, depending on how intensively you manipulate files) time, when you want the version before the backup version, you will be very happy to have, for example, the Grandfather Backup. Having three levels of backup does not actually take up that much space, since one backup is continuously replacing another. If you prefer, you can actually turn OFF automatic backups (un-check Perform Automatic Backups in the File1 menu).

Similarly, when you are looking for some file that you created two months ago, the Ancestors Backups will prove invaluable. The Ancestors Backups use up a lot more disk space since they accumulate, rather than replace each other. However, some points to consider:

  • Ancestors Backups are turned OFF by default. They will not accumulate unless you turn the feature ON (to turn ON, go to the File1 menu, and ensure that Perform Ancestors Backups is checked off).

  • You can easily erase the entire Ancestors Backups folder, whenever you want. You may want to do so periodically, perhaps copying the files in Ancestors Backups to another set of folders for archival storage, if necessary. To erase the contents of this folder, go to the File1 menu, and select Setting of automatic backups, then click Clear Ancestors Backups Folder.

  • Ancestors Backups are not performed if there is no change in your worksheet. If you go away from your computer for an hour, when you come back there will not be any backups performed during this time.

  • If you are working with worksheet text files, the typical inexpensive hard drive can hold many, many such files. For example, if you are creating letters some 10K in size on average, then Ancestors Backups running all day long during an 8 hour day, will only use up 10K * 8 hours * 3 backups/hour = 1/4 MB per day, or about 70MB over a working year - a small percentage of the capacity on a 10GB hard drive.

"There are so many files in the Ancestors Backups folder. How will I ever find the file I need?"

  • The files are grouped by filename, and are date-stamped and time-stamped. If you know the approximate date the file you need was created, you usually can narrow down to a small group of files the file you are looking for.

  • If you click Search Ancestors for particular text (in the File1 menu), you can search all the Ancestors Backups files for a particular phrase of text (e.g., a name, a part number, etc.) that the worksheet you are looking for contains.

  • By default, Search Ancestors for particular text looks at all the files (*.*) in the Ancestors Backups folder. You can speed up the search by entering the filename, or a portion of the filename, if you know it. Type the filename, or portion of the filename, in the Named box, then click Find Now.

"I have been using Ancestors Backups now for a few months. My Ancestors Backups folder is simply too packed with files, and it slows down my computer every time that folder is accessed. What should I do?"

  • If you don't really need any of the Ancestors Backups files, you can go to the File1 menu, then Settings of automatic backups, and click Clear Ancestors Backups Folder.

Note: This will only be allowed if you are using the default Ancestors Backups folder located in the 'EasyOffice 2001' folder. If you are using another folder for Ancestors Backups, for example, on another computer over your LAN, you will not be allowed to delete that folder.

  • If you want to archive your Ancestors Backups then use Windows Explorer to move them over to another folder.

  • You can reduce the rate of Ancestors Backups being made: Click on the File1 menu, and select Settings of automatic backups. Then, enter a longer interval at which to perform automatic backups. For example, if you perform automatic backups every 60 minutes, instead of the default 20 minutes, you will create one-third as many Ancestors Backups files.

"I am working with very large files on a very slow computer. It is annoying when every 10 minutes a box opens up on my screen for a few seconds telling me that an automatic backup is in progress. What should I do?"

  • You can simply turn automatic backups off. (Click on the File1 drop-down menu, and un-check Perform automatic backups.)

  • You can make automatic backups less frequently, for example, once every 60 minutes, instead of the default once every 20 minutes. (Click on the File1 drop-down menu, then click Settings of automatic backups, and then enter a longer interval at which to perform automatic backups.)

Search Engines

Various search engines can be used to search the files in the Ancestors Backups. The default search engine is the Windows' Find: All Files' search utility.

The Windows Find: All Files will successfully find text strings in RTF (rich text format) files but not in DOC (Word) files. Similarly, it will successfully find text strings in XLS (Excel) files, but not in ESS (EasySpreadsheet) files. (While it will find text strings in XLS files, it will not find numbers in XLS files because the numbers are binary and not stored as text strings.)


Compatible File Formats

EasySpreadsheet can retrieve and save spreadsheets of the following formats:

EasySpreadsheet File Format (*.ess): This is the default file format used by Easy Spreadsheet.

Microsoft Excel File Format (*.xls): The Easy Spreadsheet files that you save in Excel95-2000 format should, in general, be perfectly compatible with Excel (i.e., another person using Excel will be able to perfectly load in your spreadsheet). However, at this time, graphics are not saved by EasySpreadsheet into the *.xls file format. In the next major version, it is expected that EasySpreadsheet will both save and retrieve two-dimensional graphics in the Excel *.xls file format.

You should be able to successfully retrieve most Excel spreadsheets. However, if the Excel spreadsheet contains a function not supported in EasySpreadsheet (generally the less-used, specialized functions), the error message #FUNC (or something similar) may appear in the formula bar. In such a case, you may want to use the Excel Viewer to view the file.

Tab Delimited Text Format (*.txt): An industry-standard spreadsheet file format. Can save and read this format.

Comma Separated Format (*.csv): An industry-standard spreadsheet file format. Can save and read this format.

HTML Web Page Format (*.htm): The present version of EasySpreadsheet can save the spreadsheet data (but not the graphics) as an industry-standard Web (HTML) file. It cannot, however, read in an HTML file as a valid spreadsheet.

Encrypted Zip Format (*.zip): The present version of EasySpreadsheet can save and retrieve a password-protected encrypted zip file. Any standard zip program (or EasySpreadsheet itself) can un-encrypt and decompress this file. See Passwords: Encrypting Your Files for details.

Note: Compatibility with other file formats allows EasySpreadsheet to be a versatile tool. However, this compatibility, particularly the import of MIcrosoft Excel Spreadsheets, is not complete and should not be relied on in any mission-critical application. The above information is subject to change without notification.


My Documents and Other Default Directories

EasySpreadsheet remembers which directories you use to save your files.

When you start using EasySpreadsheet for the first time, the default directory for saving and retrieving spreadsheets is My Documents. You may, however, want to save spreadsheets in a network directory, or in another directory on your computer.

In the present version of EasyOffice, when you exit EasySpreadsheet, the last directory you used to save your worksheet will become the new default directory. That is, when you re-start EasySpreadsheet the next time and save or retrieve a file, you will be brought to that directory.

Original settings:

Default directory for spreadsheets: My Documents

Directory for EasySpreadsheet: Program Files\EasyOffice 2001


Backing Up Files

Easy Office Premium version: Use EasyOffice Backup.

An easy way to back up your spreadsheet files, is to use EasyOffice Backup (included with EasyOffice Premium). Other ways to back up your spreadsheet files, as well as more technical details, are given below.

By default, EasySpreadsheet will save and retrieve files to the My Documents folder. When you save a file in EasySpreadsheet, you do not have to use the default folder, and can save in any folder of your choice.

If you routinely back up the My Documents folder on your computer, and you save your EasySpreadsheet documents to My Documents, then you will automatically be backing up your EasySpreadsheet files. If, however, you do not routinely back up the My Documents folder on your computer (perhaps there are hundreds of unneeded files), then you should back up your EasySpreadsheet files individually.

Backing Up on Floppy Disks

An easy way to back up a spreadsheet is to save the file on a floppy disk. To save on a floppy disk:

  1. Insert a floppy disk into drive A:.

  2. Go to the File1 menu, and click Save As.

  3. A Save Sheet window will appear.

  4. Type A:, followed by the name of your file, in the File name box. For example, if you wanted to name your spreadsheet SalesIowa, then type A:SalesIowa.

  5. Click Save. Your spreadsheet will be saved on the floppy diskette.

Backing Up on Networks

Your computer may be on a network. To save a spreadsheet to another computer on the network:

  1. Go to the File1 menu, and click Save As.

  2. A Save Sheet Window will appear.

  3. Click the down-arrow at the right end of the Save In box.

  4. A list box will appear. Click Network Neighborhood, and then select the desired computer and folder where you want to save your file.

  5. Enter a name for your file, such as SalesIowa, in the File name box.

  6. Click Save. Your spreadsheet will be saved in the folder on the computer you chose.

Program Files

You do not have to backup the program files of EasySpreadsheet. Should the program files become damaged on your computer, insert the EasyOffice CD-ROM and re-install the program files. (If you are technically curious, the program files of EasySpreadsheet are in the folder: Program Files\ EasyOffice 2001.)


Selecting Cells

The individual rectangles (or squares) of the spreadsheet are called 'cells'. A column and a row intersect at a cell. For example, if you go down column B and across row 5, you will come to the cell which is called, of course, cell B5.

To work with a cell, you must select it, and thereby make it active.

To select a cell:

  1. Move your cursor to the cell you want to select.

  2. Click the left mouse button.

  3. The cell will be selected, and thus, active. A heavy border will appear around the cell.

Selecting Cell Ranges

You can select more than one cell at a time. To select a range (i.e., block) of cells:

  1. Move your cursor to the first cell you want to select.

  2. Click, and hold down, the left mouse button.

  3. Without releasing the mouse button, move your cursor the last cell of the range you want to select. The cells you have selected will be highlighted and surrounded by a heavy border.

  4. Release the mouse button.

Example:

Perhaps you want to select the cells from C5 to E10.

  1. Put your cursor inside C5.

  2. Click (and hold down) the left mouse button.

  3. Without letting go of the left mouse button, move the cursor down to E10. All the cells from C5 to E10 will be selected and surrounded by a heavy border

  4. Release the mouse button.

  5. Note that the range of the cells from C5 to E10 can be written as C5:E10.

Selecting Different Cells

When you select a cell range, the cells must be in the same rows or columns. You can, however, select multiple cells that are not in the same rows and columns.

To select multiple cells:

  1. Left-click on the first cell you want to select.

  2. Hold down the Ctrl key while you click the other cells (or cell ranges) that you want to select.

Selecting All Cells

To select all the cells in your current spreadsheet:

  • Press Ctrl+A on your keyboard. Or,

  • Click the blank button at the top-left corner of your sheet (between the A and 1).

De-selecting Cells

To de-select a group of cells, simply click the mouse anywhere within your sheet.

See Also:

Cell References and Ranges


Selecting Columns and Rows

To select column(s):

  • To select one column, click a column header button. The column header buttons are located just above your spreadsheet (A, B, C, and so on).

  • To select adjacent columns, click a column header button, hold down the mouse button, and move the cursor over the other columns you want to select.

  • To select different columns, click a column header button. Hold down the Ctrl key while you click the header buttons of the other columns you want to select.

  • To select all columns, press Ctrl+A on your keyboard. Or, simply press the blank button at the top-left corner of your sheet (between A and 1).

To select row(s):

  • To select one row, click a row header button. The row header buttons are located to the left of your spreadsheet (1, 2, 3, and so on).

  • To select adjacent rows, click a row header button, hold down the mouse button, and move the cursor over the other rows you want to select.

  • To select different rows, click a row header button. Hold down the Ctrl key while you click the header buttons of the other rows you want to select.

  • To select all rows, press Ctrl+A on your keyboard. Or, simply press the blank button at the top-left corner of your sheet (between A and 1).


Selecting a Sheet

Selecting a Sheet (or Multiple Sheets)

To select a single sheet, or multiple sheets:

  • Click a sheet tab to make it active.

  • To select multiple worksheets, press and hold the Ctrl key as you click other sheet tabs. (Note: You may hold the Shift key instead.)

If there are many sheets, not all the sheet tabs will be displayed at once. You will see scroll arrows beside the tabs. Click these arrows to scroll sheet tabs into view.


Adjusting Column Width and Row Height

You can narrow or widen the width of columns, and narrow or widen the height of rows. If your spreadsheet contains numbers with many digits or very long labels that do not fit completely in the cells, you may want to adjust column width or row height.

To adjust column width:

  1. Select the column(s) you want to adjust. (See Selecting Columns and Rows.)

  2. Go to the Format drop-down menu, and put your cursor over Column. Click Width.

  3. A Column Width window will appear.

  4. Type the new column width in the Width box. You can select a unit of measurement from the Units box. To use the default setting, check off Use Default. EasySpreadsheet's default width is 9 characters.

  5. Click OK. The width of your selected column will be adjusted.

To adjust row height:

  1. Select the row(s) you want to adjust. (See Selecting Columns and Rows.)

  2. Go to the Format drop-down menu, and put your cursor over Row. Click Height.

  3. A Row Height window will appear.

  4. The default setting is Auto; row height will automatically be adjusted to fit the text. To enter your own row height, click Custom, and then type the new height in the text box. You can select a unit of measurement from the Units box.

  5. Click OK. The height of your selected column will be adjusted.

To change the column width or row height manually:

  1. Move the cursor to the border between column or row header buttons (these appear above, and to the left of your sheet). The cursor will change to a double-headed arrow.

  2. Click and hold down the left mouse button, and move the cursor. Drag the entire column or row border to a new position.

  3. When you are done adjusting the size, release the mouse button.

AutoFit

By default, rows height will automatically be adjusted to fit text. It is also possible to adjust the width of columns according the text they contain.

To AutoFit column width:

  1. Select the column(s) you want to adjust. (See Selecting Columns and Rows.)

  2. Go to the Format menu, and put your cursor over Column. Click AutoFit Selection

  3. The width of your selected column will be adjusted to fit the length of the text it contains. This way, all values in the cells will be visible.


Cell References and Ranges

A cell reference is a cell's location in your sheet, given by the intersection of its column and row. For example, the cell at the intersection of column A and row 2 has the cell reference A2.

Cell references are useful when entering formulas and functions. If cell references are used, the formulas and functions you enter can include values from other cells in your sheet. Cell references are also used for other tasks, such as selecting a range of cells to print.

To refer to a cell, or group of cells:

Cells | Reference | Example
Single Cell | cell reference. | A1
Cell List | cell references, separated by commas (,) | A1, A3, B2, B5
Cell Range | cell reference of first and last cell of the range, separated by a colon (:) | A1:A4
Range List | cell ranges, separated by commas (,) | A1:B5, C1:C3, D1:D5

Cell Reference Examples

Formula / Function | Description
=A1+A2 | Returns the sum of the values in cells A1 and A2.
=AVERAGE(B2, B5, B10) | Returns the average of the values in cells B2, B5, and B10.
=SUM(A1:C5) | Returns the sum of the values in cells A1 to C5.
=SUM(A1:A3, C1:C4, D1:D2) | Returns the sum of the values in cells A1 to A3, C1 to C4, and D1 to D2.
=SUM(B2:B5, C2) | Returns the sum of the values in cells B2 to B5, and C2.
=FIXED(C5) | Returns the value in cell C5, rounded to two decimal places.


Relative and Absolute Cell References

The reference of a cell is its location, given by the intersection of its column and row. For example, the cell at the intersection of column E and row 5 has the cell reference E5.

Relative Cell References

A relative cell reference is relative to the cell's position in the spreadsheet. If a formula is copied from one cell and pasted into another, the relative cell reference will change.

For example, perhaps the formula =A1+A2 is in cell A3, and you have copied cell A3. Then:

  • If you paste the formula into cell B3, the formula will be pasted as =B1+B2.

  • If you paste the formula into cell A7, the formula will be pasted as =A5+A6.

  • EasySpreadsheet will automatically change the formula, so that the values in the two cells above the cell you pasted into will be added.

Absolute Cell References

An absolute cell reference always refers to a cell at a specific location, regardless of the position in the sheet. Absolute cell references can also refer to a specific column or row. When copying and pasting formulas, absolute references do NOT change.

To make an absolute cell reference, simply type a dollar sign ($) before the row or column that you wish to keep constant:

Reference | Description
A1 | This is a relative cell reference. When copied and pasted, both the row and column will change accordingly.
$A1 | The column A has an absolute reference. When copied and pasted, the column will not change; however, the row has a relative reference, and will change accordingly.
A$1 | The row 1 has an absolute reference. When copied and pasted, the row will not change; however, the column has a relative reference, and will change accordingly.
$A$1 | This is an absolute cell reference. A1 will remain constant; when copied an pasted, the row and column will not change.

For example, perhaps the formula =$A1+$A2 is in cell A3, and you have copied cell A3. Then:

  • If you paste the formula into cell B3, the formula will be pasted as =$A1+$A2.

  • If you paste the formula into cell A7, the formula will be pasted as =$A5+$A6.

  • When pasting, the column remains constant, but the row changes.

Or, perhaps the formula =A$1+A$2 is in cell A3, and you have copied cell A3. Then:

  • If you paste the formula into cell B3, the formula will be pasted as =B$1+B$2.

  • If you paste the formula into cell A7, the formula will be pasted as =A$1+A$2.

  • When pasting, the row remains constant, but the column changes.

Or, perhaps the formula =$A$1+$A$2 is in cell A3, and you have copied cell A3. Then:

  • If you paste the formula into cell B3, the formula will be pasted as =$A$1+$A$2.

  • If you paste the formula into cell A7, the formula will be pasted as =$A$1+$A$2.

  • When pasting, both the row and column remain constant - the cell reference does not change.

Constant Values

Absolute references are particularly useful for entering constant values in a spreadsheet.

Your spreadsheet may calculate tax values based on a tax rate. Let this tax rate be 2.5%. Rather than enter .025 in every cell where you needed to multiply by the tax rate, you could enter .025 in, for example, cell A10. In every cell where you needed to multiply by this tax rate, you could multiply the value by $A10. An advantage of this approach is that if the tax rate were to change, it would be unnecessary to adjust all of the cells using this tax rate. Simply change the value of cell A10. Perhaps the tax rate increased to 3%. Then, change the value of cell A10 to .03. If all the formulae using this tax rate read it from A10 (i.e., use $A10), your spreadsheet will be updated with the new rate.

Notes on Dollar Signs

Spreadsheets are often used to calculate dollar amounts. Hence, using the dollar sign ($) in formulas can be confusing. It is important to remember that including a dollar sign in a formula has nothing to do with money. It simply tells EasySpreadsheet not to change the row or column if the cell formula is pasted elsewhere, or if the cell is moved elsewhere.

Dollar signs in front of values in cells have nothing to do with dollar signs in front of cell references in formulas.


Sheet References

In your current sheet, you can refer to cells in other sheets within your workbook.

To refer to cells in another sheet:

  1. Type the sheet name, followed by an exclamation mark (!). For example, Sheet1!.

  2. Type the cell references as you normally would. For example, Sheet1!B1 refers to cell B1in Sheet1.

Example:

Perhaps your workbook has two sheets, with the names Sheet1 and Sheet2. You want to find the sum of cells B2 to F10 in Sheet2, and insert this sum into cell A1 in Sheet1. To do so:

  1. Go to Sheet1 by clicking the tab at the bottom of the sheet.

  2. In Sheet1, click cell A1.

  3. Type in the formula =SUM(Sheet2!B2:F10).

  4. Press Enter.

  5. The sum of cells B2 to F10 in Sheet2 will be placed in cell A1.

See Also:

Naming a Sheet


Entering Labels and Values

Labels are descriptive numbers and text that identify items on a sheet, but are not used in calculations.

For example, you can type the words Part Number in a cell to show that the numbers in adjacent cells refer to part numbers. To type in a cell, simply select it (i.e., left-click on the cell), and type directly into the cell. Notice that the text you enter will also appear in the text box above your spreadsheet. (You may type in this text box instead, and the text that you enter will appear in the cell that you have selected.)

An apostrophe (') before a number label, such as '2002, prevents EasySpreadsheet from using that number in any calculations.

As opposed to labels, values are the numbers you want to use in calculations. Values can be entered as whole numbers, decimals, or dates. To enter a value in a cell, simply select the cell, and type the numbers directly into in the cell. (Or, you can instead type in the text box above your spreadsheet, and the numbers will appear in the cell that you have selected.)

Note: To simplify your data entry, type the values without commas, dollar signs, etc. - you can later format the numbers as you wish all at once. See Overview: Formatting Text and Cells.


Entering Formulas

The power of spreadsheets is that their cells can contain formulas. A formula is an equation that tells EasySpreadsheet to add certain cells together, multiply certain cells by a value, and so on. You can enter a formula in a cell, just as you can enter a label or a value.

To enter a formula:

  1. Left-click on the cell that you wish to enter a formula into. A heavy border should appear around the cell.

  2. Type an equal sign (=). This tells EasySpreadsheet that you are entering a formula.

  3. Enter your formula. Examples are given below:

Function | Operator | Example
 |  | Formula | Value (Result)
Addition | + | =5+5 | 10
Subtraction | - | =6-4 | 2
Multiplication | * | =3*2 | 6
Division | / | =9/3 | 3
Exponentiation | ^ | =2^3 | 8
Percent | % | =75% | 0.75
Greater Than | > | =5>3 | TRUE
Less Than | < | =5<3 | FALSE
Equal To | = | =5=3 | FALSE
Greater Than or Equal To | >= | =5>=3 | TRUE
Less Than or Equal To | <= | =5<=3 | FALSE
Not Equal To | <> | =5<>3 | TRUE
Concatenation | & | =2&3 | 23
Brackets | ( ) | =(2+1)*6 | 18
Scientific Notation | E | =1E2 | 100

  4. Press the Enter key. The result (value) of your formula will automatically appear in the cell.

  5. If you left-click once on the cell at any time, the formula will appear in the text box above your spreadsheet. This text box is called the formula bar.

  6. You can edit your formula by typing in the formula bar. Press Enter when you are finished editing.

Formulas with Cell References

The values of cells in your sheet can be added, subtracted, multiplied, divided, compared, and so on. Entering formulas with cell references is very similar to the method described above. Some formula examples are as follows:

Formula | Description
=A1+A2 | Adds the values found in cells A1 and A2.
=C3-A1 | Subtracts the value found in A1 from the value found in C3.
=C1*C5 | Multiplies the value found in C1 by the value in C5.
=A1>A2 | Determines whether or not the value in A1 is greater than the value in A2.
=A1=A2 | Determines whether or not the value in A1 is the same as the value in A2.
=C2% | Produces a percent value based on the value in C2.
=C1&C3 | Produces a string made up of the values (or labels) found in C1 and C3.
=(A1+A2)/C1 | Adds the values in A1 and A2, then divides this result by the value in C1.

For example, to enter a formula in cell C3 that will add cell C1 and cell C2, and then multiply the result by 5:

  1. Enter test values in cells C1 and C2. For example, put the value 10 in C1, and the value 20 in C2.

  2. Click on cell C3.

  3. Type in the formula: =(C1+C2)*5

  4. Press the Enter key. The number 150 will automatically appear in cell C3. This makes sense, as (10+20)*5 is 150.

  5. If you left-click once on cell C3, the formula (i.e., =(C1+C2)*5 ) will become visible in the formula bar above the spreadsheet.

Showing and Hiding Formula Bar

If the formula bar (the text box just above the spreadsheet) is not visible, go to the View menu, and ensure that Formula Bar is checked off. This will show the formula bar.

To hide the formula bar, un-check Formula Bar under the View menu.


Entering Functions

Functions perform such operations as summing a range of cells, rounding, determining the square root of a number, converting a number to currency, or generating a random number. EasySpreadsheet contains several pre-defined functions that can be used when entering formulas.

Most functions use parameters. Parameters are the values, cell references, and other information required for executing the function. Parameters are enclosed in brackets after the function name. For example, the DOLLAR function is in the form DOLLAR (number, precision), and number and precision are parameters. (The DOLLAR function converts a number to currency.)

To enter a formula that contains a function:

  1. Left-click on the cell that you wish to enter a formula into. A heavy border should appear around the cell.

  2. Type an equal sign (=). This tells EasySpreadsheet that you are entering a formula.

  3. Type the name of your function, followed by its required parameters in closed brackets. For example, if you were using the DOLLAR function for $25.00, you would enter =DOLLAR(25).

EasySpreadsheet's functions include:

Arithmetic Functions | Find sums, products, remainders, square roots, and absolute values.
Trigonometric Functions | Use sine, cosine, tangent, inverse, and hyperbolic functions. Convert from radians to degrees. Use the Pi constant.
Logarithmic and Exponential Functions | Use logarithms and natural logarithms. Use exponential functions based on the constant e.
Rounding Functions | Round numbers up or down, to even or odd numbers, to a multiples of other numbers, and to integers.
Factorials and Combinations | Determine factorials and possible combinations.
Random Numbers | Generate random numbers.
Logical Functions | Use functions that require TRUE and FALSE expressions.
Statistical Functions | Find averages, standard deviations, maximum and minimum values, and variables. Count the number of cells in a range or list.
General Text Functions | Repeat, join, or compare text strings. Remove blank spaces and non-printable characters. Determine ASCII codes. Convert strings to numbers.
Length and Position Functions | Determine the length of a text string. Return the first character, last character, of part of a string.
Format Functions | Change the case of a text string. Use number formatting, such as currency or fixed decimal.
Find and Replace Functions | Locate text within a string. Replace text in a string with new text.

Note: To view a full list of EasySpreadsheet's functions, go to the Insert menu, and click Function. A Function window will appear. Select a category from the Category box, and the available functions will appear in the Function List below. Single-click a function to view its parameters and other details. To return to your spreadsheet, click Cancel.

  4. Press the Enter key. The result of your formula will automatically appear in the cell.

See Also:

Inserting a Function


Arithmetic Functions

EasySpreadsheet includes functions for adding and multiplying lists of numbers, or ranges of cells.

Sums

SUM (number_list): Returns the sum of a list of numbers.

SUMSQ (number_list): Squares each of the supplied numbers and returns the sum of the squares.

SUMPRODUCT (range_list): Multiplies the corresponding cells in the given ranges, then returns the sum of those products. The ranges in the range_list must be of the same dimensions (i.e., each cell range must have the same number of rows, and the same number of columns).

Examples:

 | A | B | C
1 | 1 | 2 | 3
2 | 5 | 4 | 1
3 | 2 | 8 | 1

Formula | Result
=SUM(2, 3, 8, 1) | 2+3+8+1 = 14
=SUM(A1:B3) | 1+5+2+2+4+8 = 22
=SUM(A1, C2, B3) | 1+1+8 = 10
=SUMSQ(B1:B3) | 2*2 + 4*4 + 8*8 = 84
=SUMPRODUCT(B1:B2, C1:C2) | 2*3 + 4*1 = 10
=SUMPRODUCT(A1:A3, B2:B3) | #VALUE! (cell ranges of different dimensions)
=SUMPRODUCT({2, 4, 1}, {3, 5, 2}) | 2*3 + 4*5 + 1*2 = 28

Conditional Sums

SUMIF (range, criteria, sum_range): Examines the range of cells based on the given criteria, and returns a sum. The criteria must be enclosed in double-quotes, and can be a value ("10"), a text string ("Pass"), or an expression ("<50"). If no sum_range is given, then the range values that meet the criteria will be summed. If a sum_range is given, then the sum_range values in the corresponding cells will be summed.

Examples:

 | A | B | C
1 | 75 | 20 | Yes
2 | 83 | 19 | Yes
3 | 52 | 21 | No
4 | 75 | 19 | No

Formula | Result
=SUMIF(A1:A4, "75") | 75+75 = 150
=SUMIF(A1:A4, "75", B1:B4) | 20+19 = 39
=SUMIF(B1:B4, ">19") | 20+19 = 41
=SUMIF(B1:B4, "<=20", A1:A4) | 75+83+75 = 233
=SUMIF(C1:C4, "No", B1:B4) | 21+19 = 40
=SUMIF(C1:C4, "No") | 0

Multiplication and Division

PRODUCT (number_list): Multiplies a list of numbers and returns the result.

MOD (number, divisor): Returns the remainder after dividing the number by the divisor.

SQRT (number): Returns the square root of the number.

Examples:

Formula | Result
=PRODUCT(2, 3, 2, 1) | 2*3*2*1 = 12
=MOD(9, 3) | 0
=MOD(11, 3) | 2
=MOD(7, 2) | 1
=MOD(1, 0) | #DIV/0!
=SQRT(4) | 2
=SQRT(15) | 3.872983346

Absolute Value and Sign Functions

ABS (number): Returns the absolute value of the number. For example, both ABS(5) and ABS(-5) will return 5.

SIGN (number): Determines the sign of the number. Returns 1 if the value is positive, and -1 if the value is negative. Note that SIGN(0) returns 0.

See Also:

Using the SUM Function


Trigonometric Functions

EasySpreadsheet includes the sine, cosine, and tangent functions. It is important to remember that trigonometric functions use input values in radians.

  • 1 radian = 57.2957 degrees

  • 1 degree = 0.0174532 radians

(The circumference of a circle is 2*pi*r. Thus for a unit circle, the circumference is 2*pi. If we measure angle by the length of the circular arc, then a 360 degree circle will contain 2*pi radians. )

Cosine, Sine, and Tangent Functions

COS (number): Returns the cosine of the specified angle (number). The angle is in radians.

SIN (number): Returns the sine of the specified angle (number). The angle is in radians.

TAN (number): Returns the tangent of the specified angle (number). The angle is in radians.

Inverse Functions

ACOS (number): Returns the angle whose cosine is the specified number. This angle is given in radians, between zero and pi.

ASIN (number): Returns the angle whose sine is the specified number. This angle is given in radians, between -pi/2 and pi/2.

ATAN (number): Returns the angle whose tangent is the specified number. This angle is given in radians, between -pi/2 and pi/2.

ATAN2 (number1, number2): Returns the arctangent of the specified X (number1) and Y (number2) coordinates. The result will be given in radians, between -pi and pi, excluding -pi.

Hyperbolic Functions

COSH (number): Returns the hyperbolic cosine of the number.

SINH (number): Returns the hyperbolic sine of the number.

TANH (number): Returns the hyperbolic tangent of the number.

ACOSH (number): Returns the inverse hyperbolic cosine of the number.

ASINH (number): Returns the inverse hyperbolic sine of the number.

ATANH (number): Returns the inverse hyperbolic tangent of a the number.

Conversion and Constant Functions

DEGREES (number): Converts the number from radians to degrees.

PI (): Returns the value of pi, which is approximately 3.1459265358979 when calculated to 15 significant digits.


Logarithmic and Exponential Functions

EasySpreadsheet includes logarithmic, natural logarithmic, and exponential functions.

Logarithmic Functions

LOG (number, base): Returns the logarithm of the number to the specified base. If the base is omitted, base-10 will be used.

LOG10 (number): Returns the base-10 logarithm of the specified number.

LN (number): Returns the natural logarithm (based on the constant e) of the specified number. LN is the inverse of EXP.

Examples:

Formula | Result
=LOG(9, 3) | 2
=LOG(10) | 1 (base-10 is assumed)
=LOG(10^8) | 8 (base-10 is assumed)
=LOG(0) | #NUM! (number must be greater than 0)
=LOG10(1) | 0
=LN(EXP(2)) | 2

Exponential Functions

EXP (number): Returns e raised to the power of the specified number. EXP is the inverse of LN. For example, EXP(LN(2))would return 2. (Hint: Use EXP(1) for the constant value e, which is approximately 2.718281828.)

Note: To raise another number to a certain power, use the ^ operator. For example, 2^3 is the same as 2*2*2, and would return 8.


Rounding Functions

Rounding functions allow you to round numbers up or down, to even or odd numbers, to the nearest multiple of a number, and to the nearest integer.

Rounding Up and Down

ROUND (number, precision): Rounds the number to the specified number of decimal places (precision). In this case, the number will be rounded up if the digit is greater than or equal to five, and rounded down if the digit is less than five. The precision cannot be omitted.

ROUNDDOWN (number, precision): Rounds the number down to the specified number of decimal places (precision). The precision cannot be omitted. In this case, 1.2 would be rounded to 1, while -1.2 would be rounded to -1.

ROUNDUP (number, precision): Rounds the number up to the specified number of decimal places (precision). The precision cannot be omitted. In this case, 1.2 would be rounded to 2, while -1.2 would be rounded to -2.

CEILING (number1, number2): Rounds number1 up to the nearest multiple of number2.

FLOOR (number1, number2): Rounds number1 down to the nearest multiple of number2.

Examples:

Formula | Result
=ROUND(8.5, 0) | 9
=ROUND(8.4, 0) | 8
=ROUNDDOWN(25, 0) | 25
=ROUNDDOWN(25, -1) | 20
=ROUNDDOWN(-5.6, 0) | -5
=ROUNDUP(-5.6, 0) | -6
=CEILING(5, 3) | 6
=FLOOR(2, 0.75) | 1.5

Rounding to Even and Odd Numbers

EVEN (number): Rounds the number up to the nearest even integer. For example, 25 would be rounded to 26.

ODD (number): Rounds the number up to the nearest odd integer. For example, 100 would be rounded to 101.

Rounding to Integers

INT (number): Rounds the number down to the nearest integer. Negative numbers will be rounded to the lower integer. For example, 1.2 would be rounded to 1, while -1.2 would be rounded to -2.

TRUNC (number, precision): Truncates the number to an integer. The number will be rounded down. For example, 1.2 would be rounded to 1, while -1.2 would be rounded to -1. If precision is omitted, the number will be rounded to zero decimal places.


Factorials and Combinations

EasySpreadsheet includes functions to generate factorials and combinations.

FACT (number): Returns the factorial of the number. For example, the factorial of 6 is 6*5*4*3*2*, or 720. If number is a decimal number, it will be rounded down to the nearest integer. Note that number must be greater than or equal to 0.

COMBIN (number1, number2): Returns the number of ways a group of number2 items can be chosen from a group of number1 items. For example, COMBIN(6, 3) would return the number of ways a group of three could be chosen from a group of six. Note that number1 and number2 must be nonnegative, and number2 cannot be greater than number1.

Examples:

Formula | Result
=FACT(0) | 1
=FACT(6.6) | 720
=FACT(-1) | #NUM! (number cannot be negative)
=COMBIN(3, 2) | 3
=COMBIN(3, 3) | 1
=COMBIN(1, 2) | #NUM! (number2 cannot be larger)


Random Numbers

EasySpreadsheet allows you to generate a random number within a certain range of values.

RAND (): Returns a randomly selected decimal number from a uniform distribution greater than or equal to 0 and less than 1.

You may wish to generate a number within another range instead:

  • RAND()*x will generate a random decimal number between 0 and x, inclusive.

  • RAND()*(y - x)+x will generate a random decimal number between x and y, inclusive.

  • ROUND(RAND()*x, 0) will generate a random integer between 0 and x, inclusive.

  • ROUND(RAND()*(y - x)+x, 0) will generate a random integer between x and y, inclusive.

Hint: If you press the F9 key, new random numbers will be generated for all formulas in your sheet containing the RAND function.


Logical Functions

Logical functions use TRUE and FALSE values.

Logical Values

FALSE (): Returns the logical value FALSE.

TRUE (): Returns the logical value TRUE.

AND and OR Functions

AND (logical_list): Returns TRUE if all arguments in list are true; returns FALSE if at least one argument in the list is false. The arguments can be a logical value (e.g., TRUE) or expression (e.g., 1+2=3).

OR (logical_list): Returns TRUE if at least one of a series of logical arguments is true. The arguments can be a logical value or expression.

Examples:

 | A | B | C | D
1 | TRUE | TRUE | FALSE | 0
2 | TRUE | FALSE | TRUE | 2

Formula | Result
=AND(A1:A2) | TRUE
=AND(A1:C1) | FALSE
=AND(A1:D1) | #VALUE! (cell D1 does not contain a logical value or expression)
=AND(1>2, 1>0) | FALSE
=AND(D1=0, D2=0) | FALSE
=OR(A1:A2) | TRUE
=OR(A1:C1) | TRUE
=OR(B2, C1) | FALSE
=OR(D1=0, D2=0) | TRUE

NOT Function

NOT (logical): Returns a logical value that is the opposite of the specified logical value or expression.

Examples:

Formula | Result
=NOT(TRUE) | FALSE
=NOT(FALSE) | TRUE
=NOT(10>5) | FALSE
=NOT(3*3=10) | TRUE

IF Function

IF (test, true_value, false_value): Returns true_value if test is TRUE (or nonzero), or false_value if test is FALSE (or zero). If test is FALSE (or zero), but the false_value is omitted, then FALSE will be returned. Note that test can be a numerical value, or a logical expression (e.g., C5=3). Note also that true_value and false_value can be numerical values (e.g., 10), text strings (e.g., "Yes"), logical values (e.g., TRUE), cell references (e.g., A1), or formulas (e.g., SUM(A1:C5) ).

Examples:

 | A
1 | 76
2 | 43
3 | 87
4 |

Formula | Result
=IF(A1>=50, "Pass", "Fail") | Pass
=IF(A2>=50, "Pass", "Fail") | Fail
=IF(A2>=50, "Pass") | FALSE
=IF(TRUE, "Yes", "No") | Yes
=IF(A1, DOLLAR(A1)) | $ 76.00
=IF(A4, DOLLAR(A4)) | FALSE


Statistical Functions

Statistical functions allow you to calculate averages, minimum and maximum values, standard deviations, and variances. They also allow you to count the number of values in a list or range of cells.

AVERAGE (number1, number2, ...): Returns the average of the specified numbers.

MAX (number_list): Returns the largest value in the specified list of numbers.

MIN (number_list): Returns the smallest value in the specified list of numbers.

STDEV (number_list): Returns the standard deviation of a population based on a sample of values. The standard deviation of a population represents an average of deviations from the population mean within a list of values. This list must contain at least two numbers.

STDEVP (number_list): Returns the standard deviation of a population based on an entire population of values. The standard deviation of a population represents an average of deviations from the population mean within a list of values. This list must contain at least two numbers.

VAR (number_list): Returns the variance of a population based on a sample of values. This list must contain at least two numbers.

VARP (number_list): Returns the variance of a population based on the entire population. This list must contain at least two numbers.

Counting Functions

COUNT (value_list): Returns the number of values in the specified list.

COUNTA (expression_list): Returns the number of nonblank values in the specified list.

COUNTIF (range, criteria): Returns the number of cells within the range that meet the specified criteria. This criteria can be a numerical value (e.g., 50), a text string (e.g., "No"), a logical expression (">0"). Note that text strings and expressions must be enclosed in double quotes.

Examples:

 | A
1 | 80
2 | 45
3 | 76
4 | 68
5 | N/A
6 |

Formula | Result
=COUNT(A1:A4) | 4
=COUNT(A1:A4) | 4 (only cells containing numerical values are counted)
=COUNTA(A1:A5) | 5
=COUNTA(A1:A6) | 5 (blank cells are not counted)
=COUNTIF(A1:A4, ">50") | 3


General Text Functions

EasySpreadsheet includes functions for repeating, joining, and comparing text strings. You may also convert strings to numbers, test values for text, remove blank spaces or nonprintable characters, and determine ASCII codes.

REPT (text, number): Repeats the text a certain number of times. The text can be a text string (e.g., "abc"), a number (e.g., 9), or a cell reference (e.g., C4). The number must be positive, and if the number is 0, nothing will be returned. For example, REPT("z", 4) would return "zzzz", REPT("z", 0) would return "", and REPT("z", -1) would return the #VALUE! error message.

CONCATENATE (text1, text2, ...): Joins several text items into one text item. These items can be text strings, numbers, or cell references. For example, if the value 50 was in cell B5, then CONCATENATE("I have ", B5, " oranges") would return "I have 50 oranges". (Note: This is the same as the formula ="I have " & B5 & " oranges".)

EXACT (expression1, expression2): Compares expression1 and expression2 for identical, case-sensitive matches. TRUE is returned if the expressions are identical; FALSE is returned if they are not.

T (value): Tests the value, and returns the value if it is text. For example, T("Hello") would return "Hello", while T(100) would return nothing.

VALUE (text): Converts text to a numerical value. The text string must be in a number format (i.e., words cannot be converted to numbers). For example, VALUE("$6.00") would return 6, while VALUE("dog") would return the #VALUE! error message. (Note: EasySpreadsheet automatically converts text to numbers for you.)

Removal Functions

TRIM (text): Removes all blank spaces from the text, except for single spaces between words. For example, TRIM(" One Two Three ") would return "One Two Three".

CLEAN (text): Removes all nonprintable characters from the supplied text.

ASCII Code Functions

CHAR (number): Returns the character that corresponds to the supplied ASCII code (number). The number must be between 1 and 255. For example, CHAR(83) would return "S".

CODE (text): Returns the ASCII code for the first character of the text. The text must be enclosed in double quotes. For example, both CODE("Sunday") and CODE("S") would return 83, which is the ASCII code for S.


Length and Position Functions

Length and position functions allow you to determine the length of a text string, or return a certain part of a string.

LEN (text): Returns the number of characters in the text string, including spaces.

LEFT (text, num_char): Returns the leftmost characters from the text string. The number of characters to return (num_char) can be specified; if num_char is omitted, one character will be returned.

RIGHT (text, num_char): Returns the rightmost characters from the text string. The number of characters to return (num_char) can be specified; if num_char is omitted, one character will be returned.

MID (text, start_position, num_chars): Returns the specified number of characters (num_chars) from the text string, beginning with the start_position. Note that the first character in the string has position 1.

Examples:

Formula | Result
=LEN("John Doe") | 8
=LEFT("EasyOffice") | E
=LEFT("EasyOffice", 4) | Easy
=RIGHT("EasyOffice") | e
=MID("dragonfly", 1, 5) | dragon
=MID("abcde", 2, 3) | bcd
=MID("abcde", 2, 7) | bcde

Byte Functions

EasySpreadsheet includes length and position functions that use bytes rather than characters. Standard characters and symbols are one byte, while some foreign language characters (e.g., Chinese) are two bytes.

LENB (text): Returns the number of bytes in the text string, including spaces.

LEFTB (text, num_bytes): Returns the leftmost byte from the text string. The number of bytes to return (num_bytes) can be specified; if num_bytes is omitted, one byte will be returned.

RIGHTB (text, num_bytes): Returns the rightmost bytes from the text string. The number of bytes to return (num_bytes) can be specified; if num_bytes is omitted, one byte will be returned.

MIDB (text, start_position, num_bytes): Returns the specified number of bytes (num_bytes) from the text string, beginning with the start_position.


Format Functions

Case Formats

UPPER (text): Converts all characters in the text string to uppercase characters. Numeric characters in the string are not changed. For example, UPPER("EasyOffice2001") would return "EASYOFFICE2001".

LOWER (text): Converts all characters in the text string to lowercase characters. Numeric characters in the string are not changed. For example, LOWER("EasyOffice2001") would return "easyoffice2001".

PROPER (text): Returns the text string in proper-case format (i.e., the first letter of each word will be capitalized, while the remaining letters will be lowercase). For example, PROPER("my NAME is bob") would return "My Name Is Bob".

Number Formats

FIXED (number, precision): Rounds the number to the supplied number of decimal places (precision), formats the number in decimal format, and returns the result as text. For more details, see Fixed Decimals or Commas.

DOLLAR (number, precision): Returns the number as text, using the local currency format and the supplied number of decimal places (precision). Omitting the precision argument assumes two decimal places. EasyOffice uses the US Dollar format. For more details, see Currency.

USDOLLAR (number, precision): Returns the number as text using the US Dollar format and the supplied precision. Omitting the precision argument assumes two decimal places.

TEXT (number, format): Returns the number as text, using the specified format. The format must be enclosed in double quotes. For example, TEXT(0.58, "0.00%") would return "58.00%". For more details, see Using the TEXT Function.

See Also:

Overview: Number Formatting


Find and Replace Functions

Search Functions

SEARCH (search_text, text, start_position): Locates the search_text within the text string, and returns the character position of the first occurrence. The character position to begin the search can be specified (start_position); if start_position is omitted, the search will begin at the first character in the text string. The SEARCH function is not case-sensitive (e.g., "A" and "a" are considered to be the same). The SEARCH function allows you to use special search keys:

? | will find any single character
* | will find any character group

FIND (search_text, text, start_position): Locates the search_text within the text string, and returns the character position of the first occurrence. The character position to begin the search can be specified (start_position); if start_position is omitted, the search will begin at the first character in the text string. Unlike the SEARCH function, the FIND function is case-sensitive (e.g., "A" and "a" are considered to be different), and it does not use special search keys (? and *).

Examples:

Formula | Result
=SEARCH("h", "Hello") | 1
=FIND("h", "Hello") | #VALUE! (search_text not found)
=FIND("a", "character") | 3
=FIND("a", "character", 4) | 5
=SEARCH("April 20??", "April 2002") | 1
=FIND("April 20??", "April 2002") | #VALUE! (search_text not found)
=SEARCH("*.ess", "Book1.ess") | 1
=FIND("*.ess", Book1.ess") | #VALUE! (search_text not found)
=SEARCH("?", "Why?") | 1
=FIND("?", "Why?") | 4

Replace Functions

SUBSTITUTE (text, old_text, new_text, instance): Replaces the old_text within the text string with the new_text. The instance of the old_text in the string to replace can be specified.

REPLACE (orig_text, start_position, num_chars, repl_text): Replaces part of the orig_text string with another text string (repl_text).

Byte Functions

EasySpreadsheet includes search and replace functions that use bytes rather than characters. Standard characters and symbols are one byte, while some foreign language characters (e.g., Chinese) are two bytes.

SEARCHB (search_text, text, start_position): Locates the search_text within the text string, and returns the byte position of the first occurrence. The byte position to begin the search can be specified (start_position); if start_position is omitted, the search will begin at the first byte in the text string. The SEARCHB function works in the same way as the SEARCH function.

FINDB (search_text, text, start_position): Locates the search_text within the text string, and returns the byte position of the first occurrence. The byte position to begin the search can be specified (start_position); if start_position is omitted, the search will begin at the first byte in the text string. The FINDB function works in the same way as the FIND function.

REPLACEB (orig_text, start_position, num_bytes, repl_text): Replaces part of orig_text string with another text string (repl_text). The REPLACEB function works in the same way at the REPLACE function.

See Also:

Find and Replace


Lookup and Matching Functions

Lookup functions allow you to search for values in a column or row, then return a corresponding value from another column or row. Matching functions allow you to search for values in a column or row, then return the column or row index.

Lookup Functions

HLOOKUP (search_item, search_range, column_index): A horizontal lookup function. Searches the first row of the search_range provided for the search_item, then returns a corresponding value. Values in the first row of the search_range should be sorted in ascending order. The row_index is the number of the row in the search_range from which this value will be returned.

LOOKUP (lookup_value, lookup_range, result_range): Searches for the lookup_value within the supplied lookup_range, then returns the corresponding value from the result_range. Values in the lookup_range should be sorted in ascending order. The lookup_range and result_range should be of the same dimensions.

VLOOKUP (search_item, search_range, column_index): A vertical lookup function. Searches the first column of the search_range provided for the search_item, then returns a corresponding value. Values in the first column of the search_range should be sorted in ascending order. The column_index is the number of the column in the search_range from which this value will be returned.

Examples:

 | A | B | C
1 | Bob | 30 | 50
2 | George | 70 | 25
3 | Maria | 50 | 32

Formula | Result
=LOOKUP("George", A1:A3, B1:B3) | 70
=LOOKUP("Maria", A1:A3, C1:C3) | 32
=VLOOKUP("George", A1:C3, 2) | 70
=VLOOKUP("George", A1:C3, 3) | 25
=VLOOKUP("Bob", A1:C3, 2) | 30

Matching Functions

MATCH (lookup_value, lookup_range, comparison): Searches the lookup_range of cells given for the look_up value, then returns the corresponding column or row index. If comparison is set to 1, the largest value less than or equal to the lookup value will be found,k and the range must be sorted in ascending order. If comparison is set to -1, the smallest value greater than or equal to the lookup value will be found, and the range must be sorted in descending order. If comparison is set to 0, the first value equal to the lookup value will be found. If comparison is omitted, 1 will be used.

Examples:

 | A
1 | Wage
2 | $10.00
3 | $15.00
4 | $20.00
5 | $25.00

Formula | Result
=MATCH(15, A2:A5) | 2
=MATCH(15, A2:A5, 0) | 2
=MATCH(17, A2:A5, 1) | 2
=MATCH(17, A2:A5, 0) | #N/A (no exact match for 17)
=MATCH(17, A2:A5, -1) | #N/A (data must be in descending order)
=MATCH(21, A2:A5, 1) | 3


Reference Functions

Reference functions are used to return the addresses, column numbers, and row numbers of individual cells. The number of columns or rows in a cell range can be counted. Indirect cell references can be made, and a range of cells can be offset by a given number of columns and rows.

ADDRESS (row, column, ref_type): Returns the cell address for the row and column numbers provided. The cell reference type is determined by ref_type. Set ref_type to 1 for an absolute reference ($A$1), 2 for an absolute row and relative column (A$1), 3 for a relative row and absolute column ($A1), or 4 for a relative reference (A1). If ref_type is omitted, an absolute cell reference will be used.

COLUMN (reference): Returns the column number of the supplied cell reference.

COLUMNS (range): Returns the number of columns in the supplied cell range.

ROW (reference): Returns the row number of the supplied cell reference.

ROWS (range): Returns the number of rows in the supplied cell range.

Examples:

Formula | Result
=ADDRESS(3, 4) | $D$3
=ADDRESS(2, 7, 1) | $G$2
=ADDRESS(2, 7, 2) | G$2
=ADDRESS(1,1,4) | A1
=COLUMN(C4) | 3
=COLUMNS(D2:D8) | 1
=COLUMNS(A1:D4) | 4
=ROW(B3) | 3
=ROWS(B2:F6) | 5

Indirect Cell References

INDIRECT (ref_text): Looks in the cell given by ref_text for a second cell reference. Returns the contents of the cell given by the second cell reference.

Examples:

 | A | B
1 | water | A2
2 | fire | A3
3 | metal | A1

Formula | Result
=INDIRECT(B1) | fire
=INDIRECT(B2) | metal
=INDIRECT(B3) | water
=INDIRECT(A1) | #REF! (A1 does not contain a cell reference)

Offset Cell References

OFFSET (reference, rows, columns): Returns the values in the cell or cell range at reference offset by a given number of columns and rows. If rows is positive, the row reference will be shifted down, while if rows is negative, the row reference will be shifted up. If columns is position, the column reference will be shifted to the right, while if columns is negative, the column reference will be shifted to the left.

Examples:

Formula | Result
=OFFSET(A1, 2, 4) | value in cell E3
=OFFSET(F4, -1, -3) | value in cell C3
=OFFSET(B2:D5, 0, -1) | cell range A2:C5
=OFFSET(B2:D5, -3, 0) | #REF! (offset cell range is outside of sheet)
=OFFSET(C1:D5, 4, 3) | cell range F5:G9
=SUM(OFFSET(A1:A10, 2, 0) | sum of values in cell range A3:A12


Index Functions

Reference functions are used to return the addresses, column numbers, and row numbers of individual cells. The number of columns or rows in a cell range can be counted. Indirect cell references can be made.

The CHOOSE Function

CHOOSE (index, item_list): Returns a value from the item_list based on the given index number.

Examples:

 | A | B
1 | 3 | 1
2 | 1 | 2
3 | 2 | 5

Formula | Result
=CHOOSE(2, "a", "b", "c") | b
=CHOOSE(1, 5, 6, 7, 8) | 5
=CHOOSE(A3, "a", "b", "c", "d") | b
=CHOOSE(B2, A1, A2, A3) | 1 (value in cell A2)
=CHOOSE(5, A1, A2, A3) | #VALUE! (index exceeds number of items in list)
=SUM(C1:CHOOSE(2, C10, C15, C20)) | sum of values in cell range C1:C15

The INDEX Function

INDEX (reference, row, column, range_number): Returns the value in the reference with the supplied row and column number. If multiple cell references or ranges are supplied, use range_number to specify which should be used.

Examples:

 | A | B
1 | Top 3 |
2 | George | 150
3 | Candy | 135
4 | Tina | 125
5 | Runners Up |
6 | Frank | 120
7 | Doug | 115
8 | Kate | 112
9 | Walter | 110

Formula | Result
=INDEX(A2:B4, 1, 1) | George
=INDEX(A2:B4, 1, 2) | 150
=INDEX(A2:B4, 3, 1) | Tina
=INDEX(A6:B9, 2, 1) | Doug
=INDEX(A6:B9, 2, 2) | 115
=INDEX((A2:B4, A6:B9), 2, 1, 1) | Candy
=INDEX((A2:B4, A6:B9), 2, 1, 2) | Doug
=INDEX(A2:B4, 1, 3) | #REF! (column out of range)


Error Messages

After entering a formula or opening an Excel file, an error message may appear:

Error Message | Possible Error(s)
##### | Column is not wide enough to display all text. Increase the column width.
#DIV/0! | The formula entered divides by zero.
#FUNCTION! #FUNC | The Excel function is not supported by EasySpreadsheet. Use the Excel Viewer to view the spreadsheet.
#NAME? | The function entered does not exist in EasySpreadsheet.
#NUM! | Invalid numbers were used in a formula. For example, a function may have required nonnegative numbers, but negative numbers were used.
#VALUE! | The wrong value type may have been used in a formula. For example, a function may have required a logical value, but a numerical value was used. When using search and replace functions, this message appears when the search text is not found.
#REF! | Invalid cell references were used, or a necessary cell reference was not given.


Naming a Sheet

When you start a new sheet, there will be three worksheets. On the tabs at the bottom of the sheets, you should see 'Sheet1', 'Sheet2', and 'Sheet3' - these are the names of the sheets.

To change the name of a sheet:

  1. Double-click on the tab at the bottom of the sheet you wish to change. (This tab may say, for example, 'Sheet1'.)

  2. A Sheet Name window will appear.

  3. Type the new name in the Name for Sheet box.

  4. Click OK.

  5. The new name will automatically appear in the tab at the bottom of the sheet.

Note: There is another way to bring up the Sheet Name window. Go to the Format drop-down menu, put your cursor over Sheet, and click Rename.


Moving Through a Sheet

To move to an adjacent cell:

  • Use the arrow keys on your keyboard to the cell above, below, to the right, or to the left of your current cell.

  • Press the Tab key to move to the next cell in a row.

  • Press the Enter key to move to the next cell in a column.

To move to another location in your sheet:

  • To scroll left or right, use the horizontal scroll bar at the bottom of your sheet.

  • To scroll up or down, use the vertical scroll bar on the right side of your sheet.

  • If your mouse has a scroll wheel, you may use it to scroll up or down.


Editing Cell Contents

To edit data, a formula, or a function within a cell:

  1. Double-click (left mouse button) the cell you want to edit.

  2. To erase text or numbers, press the Backspace or Delete key.

  3. To enter text or numbers, simply type them in.

  4. Press Enter when you are done.


Cut, Copy, and Paste

Cutting, copying, and pasting text are useful if you want to move data from one location to another. EasySpreadsheet allows you to copy cell data, formulas, or formats, and paste them into other cells.

Cutting

Cutting will put data (or formulas, or formats) onto an imaginary clipboard. The cell(s) that you cut will become empty - the data, formulas, and cell formatting will be removed. The cell contents that you removed can then be pasted (from the imaginary clipboard) to another location in your sheet.

To cut:

  1. Select the cell(s) that you wish to cut.

  2. Now:

    • Go to the Edit menu, and select Cut. Or,

    • Right-click so that the Quick-task Menu appears, and select Cut. Or,

    • Press Ctrl+X on your keyboard.

  3. The contents of the cells that you cut will be removed, and placed on the imaginary clipboard. You are now ready to paste.

Copying

Like cutting, copying will put data (or formulas, or formats) onto an imaginary clipboard. Unlike cutting, the cells that you copy will NOT become empty - the data, formulas, and cell formatting will NOT be removed. The cell contents that you copied can then be pasted (from the imaginary clipboard) to another location in your sheet.

To copy:

  1. Select the cell(s) that you wish to copy.

  2. Now:

    • Go to the Edit menu, and select Copy. Or,

    • Right-click so that the Quick-task Menu appears, and select Copy. Or,

    • Press Ctrl+C on your keyboard. Or,

    • In Advanced Mode, click the Copy button (shown below).

  3. The contents of the cells that you copied will placed on the imaginary clipboard. You are now ready to paste.

Pasting

After cutting or copying cells, you can paste the data (or formulas, or formats) found on the imaginary clipboard back into your sheet.

To paste:

  1. Select the cell(s) that you wish to paste to.

If you will be pasting formulas or values (data), be aware that the number of cells that you select makes a difference:

  • If you select one cell, but cut (copied) more than one cell, then all of the cut (copied) cell will be pasted. For example, perhaps you cut a group of four cells (two-rows by two-columns), but only selected one cell when you pasted. All four cells will be pasted. The top, left cell of the pasted group will be at the cell that was selected.

  • If you select a group of cells with the same dimensions as the group that you cut (copied), then the cut (copied) cells will be pasted directly into the selected cells. An example is cutting a two-row by two-column group of cells, then selecting a two-row by two-column group of cells when you paste.

  • If you select a group of cells that does NOT have the same dimensions as the group that you cut (copied), all of the selected cells will be filled with data when you paste - even if you selected more cells than you cut (copied). If you selected less cells than you cut (copied), then you will lose some data. For example, perhaps you cut a two-row by two-column cell group, but only selected a one-row by two-column group when you pasted. The first row will appear, but the second row of the cut cells will NOT be pasted.

If you will be pasting formats, the formatting will be applied to all of the cells that you select.

  2. Go to the Edit menu. Here, you have a few pasting options:

    • Paste Formulas: The cell contents will be pasted along with their formulas. When you click on a cell, its formula, such as =SUM(A1:A20), will appear in the text box above the sheet. This pasting option is useful if you have used formulas and would like to be able to update or modify them. Formats will not be pasted.

    • Paste Values: The cell contents will be pasted, but their formulas will be lost. When you click on a cell, the value will appear in the text box above the sheet. Formats will not be pasted.

    • Paste Formats: This option will not paste the actual cell contents; that is, the formulas or values of the selected cells will NOT be changed. Instead, the formatting (font, alignment, color, etc.) of the cut (copied) cells will be pasted. For more help, see Formatting Text and Numbers.

    • Paste: This standard option will paste the formulas and the formats of the cut (copied) cells.

Note: You may also paste by right-clicking to access the Quick-task Menu. Click Paste Special, and a window will appear, allowing you to paste All, Formulas, Values, or Formats. Or, for a standard paste (formulas and formats), click Paste. Also note that the keyboard shortcut for a standard paste is Ctrl+V.

See Also:

AutoFill

Copying and Pasting Formats


Copying Formulas and Functions

You can automatically copy a formula or function to other cells.

To copy (or cut) and paste formulas:

  1. Select the cell(s) that you wish to copy. A heavy border will appear around the cell(s).

  2. Copy the cell contents. Go to the Edit menu and select Copy, or press Ctrl+C on your keyboard.

  3. Select the cell(s) that you wish to paste into.

  4. Paste the formulas. Go to the Edit menu, and select Paste Formulas. Or, press Ctrl+V (note that this keyboard shortcut will also paste any formatting that was applied to the copied cells). For more help on pasting, see Cut, Copy, and Paste.

  5. The formulas will be pasted into the selected cells. If relative cell references were used, the pasted formulas will be adjusted according to the cell locations. See Relative and Absolute Cell References for details.

Copying to Cells in Same Row or Column

To quickly copy the formula from a cell to the cells below or beside it, use AutoFill:

  1. Click on the cell whose formula you want to copy. A heavy border will appear around the cell.

  2. Move your mouse cursor to the small black square in the bottom, right corner of the cell. The regular pointer will change to a small, black plus sign.

  3. With the black plus sign visible, hold down the left mouse button. Do not let go, and move your mouse cursor down to select cells in the same column, or to the right to select cells in the same row. You can select cells in only one of these directions at once. The selected cells will be highlighted and surrounded by a heavy border.

  4. After selecting the cells to copy to, release the mouse button. The formula from the original cell, along with formats, will be pasted into all of the cells that you selected. If relative cell references were used, the pasted formulas will be adjusted according to the cell locations. See Relative and Absolute Cell References for details.

  5. To remove the highlighting, click outside of the highlighted cells.

See Also:

AutoFill


Clearing Cell Contents

EasySpreadsheet allows you to quickly erase the contents and formats of selected cells.

To clear cell contents:

  1. Select the cell(s) whose contents you want to erase.

  2. Go to the Edit menu, and click Clear Contents. (Note: You may instead simply press the Delete key.)

  3. The values, labels, or formulas within the selected cell(s) will be erased. Any formatting (text color, font size, etc.) applied to the cell(s) will NOT be cleared.

To clear both contents and formatting:

  1. Select the cell(s) you want to clear.

  2. Go to the Edit menu, and click Clear.

  3. The contents and formats of the selected cell(s) will be erased. The formats will be returned to the default settings.

To clear only formatting:

  1. Select the cell(s) whose formats you want to clear.

  2. Go to the Edit menu, and click Clear Formats.

  3. Any formatting applied to the selected cell(s) will be cleared. The formats will be returned to the default settings. The values, labels, or formulas within the cells will NOT be erased.

See Also:

Clearing Formats


Deleting Cells

You can delete existing cells when you do not need them. This will shift the remaining cells up, or to the left. EasySpreadsheet will automatically adjust any formulas so that they refer to the correct cells.

To delete cells:

  1. Select the cell(s) you want to delete.

  2. Go to the Edit menu, and click Delete Cells.

  3. A Delete window will appear.

  4. Select a direction for your cells to shift (Shift Cells Left or Shift Cells Up).

  5. Click OK. Your selected cell(s) will be deleted.

Note: Most of the time, you will not actually have to delete a cell. Instead, you can delete the values or formulas within a cell. It is not necessary to go through the above to do so. To delete the value or formula, but not the cell itself, simply select the cell and press the Delete key. See Clearing Cell Contents for more details.

See Also:

Inserting Cells


Deleting Columns and Rows

To delete entire columns:

  1. Select column(s) you want to delete. (See Selecting Columns and Rows.)

  2. Go to the Edit menu, and click Delete Columns.

  3. Your selected column(s) will be deleted. The columns on the right side of the selected column(s) will be shifted to the left. Column names and formulas within the cells will be adjusted accordingly.

To delete entire rows:

  1. Select row(s) you want to delete. (See Selecting Columns and Rows.)

  2. Go to the Edit menu, and click Delete Rows.

  3. Your selected row(s) will be deleted. The rows below the selected row(s) will be shifted up. Row names and formulas within the cells will be adjusted accordingly.

See Also:

Inserting Columns and Rows


Deleting a Sheet

To delete a worksheet you no longer want:

  1. Click the sheet tab of the worksheet you want to delete.

  2. Go to the Edit menu, and select Delete Sheet.

  3. The sheet will be removed.

See Also:

Inserting a Sheet


Undo

If you perform an operation and decide that you should not have done it, you can 'Undo' it (if the operation is reversible - some are not).

Undo does not apply to every function and operation in EasySpreadsheet. However, common operations are undone by the Undo System (such as text or numbers entered in a cell). Also, the FailSafe Undo system and the Ancestors Backups System retrieve full file images of your work that were temporally recorded. Newer versions of EasySpreadsheet have an increasingly larger proportion of functions and operations that can be undone by the regular Undo System.

To undo your last step:

  • Press Ctrl+Z on your keyboard. Or,

  • Go to the Edit menu, and select Undo. Or,

  • If you are in Advanced Mode, hit the Undo button (shown below).

To redo you last (undone) step:

  • Press Ctrl+Y on your keyboard. Or,

  • Go to the Edit menu, and select Redo. Or,

  • If you are in Advanced Mode, hit the Redo button (shown below).

EasySpreadsheet will generally allow 1500 Undo steps (i.e., you can press Ctrl+Z 1500 times to go 1500 steps backwards - press Ctrl+Y to go forwards at any point). However, remember that Undo operations do not apply to every feature, such as saving a file.

If you need to go further back than the Undo System allows, or if you want to retrieve a feature the Undo System does not undo, you should use the Ancestors Backups System. This system can retrieve the file version required, as far back as is required. (Note: The Ancestors Backups System must be turned on. To turn this system on, go to the File1 menu, and ensure that Perform automatic backups is checked off.)

See Also:

FailSafe Undo System


FailSafe Undo System

While the regular undo system will undo common functions and operations that are performed in EasySpreadsheet, it does not undo every single possible function or operation. If you need a FailSafe Undo System, then turn the FailSafe Undo System ON. (Note: The system is turned on if Edit -> Perform FailSafe Undo's is checked off.)

The advantage of the FailSafe Undo System is that it creates a FULL copy of your spreadsheet, each time you enter something into a cell. Regardless of what functions or operations you perform, the FailSafe Undo System will record a faithful image of your spreadsheet as you move from cell to cell. When you press Ctrl+Z, the previous image of your spreadsheet is simply retrieved and loaded into memory. If you press Ctrl+Z again, the image previous to this one, is simply retrieved and loaded into memory. Similarly, you can redo steps that you have previously undone by pressing Ctrl+Y.

The disadvantage of the FailSafe Undo System is that it slows down the operation of Easy Spreadsheet. A delay will occur as you go from cell to cell. If you have a small spreadsheet and a fast computer, this delay may not matter - but it will if your spreadsheet is large and your computer is slow.

The FailSafe Undo System is a useful feature to use when you are working on a complicated portion of your spreadsheet, but should be turned off when it is no longer needed.


Find and Replace

EasySpreadsheet allows you to quickly search though a sheet. This is especially useful for sheets that contain a large amount of data.

Finding Data

To search for data or text in your spreadsheet:

  1. Go to the Edit menu, and select Find. Or, simply press Ctrl+F on your keyboard.

  2. A Find window will appear.

  3. Type the data (or text) that you are looking for in the Find What box. Do NOT press the Enter key.

  4. If the Match Case box is checked off, the search will be case-sensitive - that is, lower and upper case letters will be treated differently. Be sure to type the text exactly as it should appear in your sheet (e.g., a search for 'easyoffice' will not find 'EasyOffice'). If you do not want the search to be case-sensitive (e.g., a search for 'easyoffice' will also find 'EasyOffice'), un-check the Match Case box.

  5. If you only want to find cells whose data matches the Find What box exactly, check off Find Entire Cells Only. In this case, a search for 2 will not find cells that contain numbers such as 2.0 and 222. Only cells that contain a single 2 will be located.

To allow partial matches, un-check Find Entire Cells Only. In this case, a search for 2 will find any cell that contains a 2. Numbers such as 2.0 and 222, or even 4235, will be located.

  6. In the Search box, choose to perform your search By Rows or By Columns.

  7. Click Find Next. Once the data is found, you can click Find Next again to search for the next occurrence. (Tip: If the Find dialog box obscures your view, simply drag it to the side.)

  8. To replace the data (or text) that you are searching for with other data, click the Replace button. The Replace Data window will appear. See "Replacing Data" below for further details.

  9. When you are finished your search, click Close.

Replacing Data

To search replace data (or text) in your sheet with other data:

  1. Go to the Edit menu, and click Replace. Or, simply press Ctrl+H on your keyboard.

  2. A Replace window will appear. This window contains most of the options that the Find window has.

  3. Type the data (or text) that you would like to find in the Find What box. In the Replace With box, type the data that you would like to replace the Find What data with.

  4. Click Find Next to locate occurrences of your Find What data.

  5. If you would like to replace the located data, click Replace. Replacing data one by one is a very safe method.

If, however, your spreadsheet contains a lot of data, and you are certain of all replacements, it is possible to automatically replace all occurrences simultaneously. If you would like all of the occurrences of your Find With data to be changed to the Replace With data at once, click the Replace All button.

  6. When you are finished, click Close.

See Also:

Find and Replace Functions


Overview: Formatting Text and Cells

When entering values, you need not worry about dollar signs, decimal places, etc. - you can easily change the format of the cells later on.

To format cells:

  1. Select the cells that you want to format.

  2. Go to the Format drop-down menu, and click Cells.

  3. A Format Cells window will appear, where you are given many options in formatting the selected cells. To change the format, click a tab:

    • Number: Choose to format the cells as Currency (e.g., $5.00), Fixed (fixed decimal point; e.g., 0.00), Percent (e.g., 25 %), Fractions (e.g., 1/2), Scientific (scientific notation; e.g., 1E07) , Date (e.g., 1/30/99) or Time (e.g., 12:30 PM). Within each of these formats are further options; there are several choices for the currency format, date format, and so on.

    • Alignment : Specify how to align the values in your cells. You can change both the Horizontal and Vertical alignment. Click Wrap Text to prevent text from overflowing into other cells (or becoming truncated if the adjacent cell already contains a value).

    • Font : Select the Font (Arial, Times New Roman, etc.), the Font style (Regular, Italic, Bold), the Size of the font, the Color of the font, the Script (Western, Hebrew, etc.), and the Effects (Strikeout and Underline).

    • Border : Select a distinctive border style for your selected cells. This might be useful for bringing certain cells to the reader's attention.

    • Patterns : Select a Fill Color for your selected cells. If you would like the cells to be filled with a pattern, select a Fill Pattern, and a Pattern Color.

  4. When you are finished, click OK.

  5. The formatting will be applied to your selected cell(s).

Formatting Cells in Advanced Mode

In Advanced Mode, you can quickly apply various formats to your selected cells without going to the Format menu.

Some formatting icons in Advanced Mode include:

  • Currency Style [$]: Puts a dollar sign in front of the number, and, if necessary, adds a decimal point followed by two decimal places.

  • Percent Style [%]: Puts a percent sign in front of the numbers, and converts the numbers to percentages.

  • Comma Style [ , ]: Adds commas where needed, and a decimal point (two decimal places).

  • Increase Decimal [<-.00]: Each time you click, you will increase the number of decimal places by one.

  • Decrease Decimal [->.0]: each time you click, you will decrease the number of decimal places by one.

  • Border: Changes the borders around the selected cells to the border your choice.

  • Font Color: Changes the colors of the text and numbers in the selected cells.

  • Fill Color: Changes the background color of the selected cells.

  • Align Left, Align Center, Align Right: Changes the horizontal alignment of the text and numbers within the selected cells.

  • Bold, Italics, Underline: Bolds, italicizes, or underlines values within the selected cells.

  • Font, Size: Changes the font type or size within the selected cells.


Number Formatting

Overview: Number Formatting

To change the number format of cells:

  1. Select the cells that you want to format.

  2. Go to the Format drop-down menu, and click Cells.

  3. A Format Cells window will appear.

  4. Ensure that the Number tab is selected.

  5. In the Category box, chose a number format type:

    • Currency: Formats numbers as currency, using the standard dollar sign ($).

    • Fixed: Formats numbers as fixed decimal numbers. Rounds numbers to a certain number of decimal places.

    • Percent: Displays numbers as percentages, using the percent sign (%). For example, 0.5 would be displayed as 50%.

    • Fraction: Displays decimal numbers as fractions. For example, 1.5 would be displayed as 1 1/2.

    • Scientific: Displays numbers in scientific notation. For example, 100 would be displayed as 1E+02.

    • Date: Converts numbers to dates.

    • Time: Converts numbers to times.

  6. Select a format type from the Type box.

  7. A preview of the format will appear in the Sample box.

  8. When you have selected a format, click OK. The format of the selected cells will be changed.

Note: To quickly access the number formatting window, go to the Format menu, and click Number formatting.


Commas

To add commas to your numbers:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. A Format Cells window will appear.

  4. Click the Number tab.

  5. In the Category box, click Fixed.

  6. A list of fixed decimal types (which include commas) will appear in the Type box. Click on a type to select it. When you click on a type, a Sample will be displayed below.

  7. After selecting a type, click OK.

  8. The formatting will be applied to the selected cell(s). Note the that numbers will be values, and thus, can be used in calculations. They will also be included in row and column totals.

Note: To quickly access the number formatting window, go to the Format menu, and click Number formatting.

Comma Formatting in Advanced Mode

To apply comma formatting in Advanced Mode:

  1. Select the cell(s) that you want to format.

  2. Click the Comma Style button ( , ).

  3. The selected cell(s) will be converted to the form ###,###.## - each number will be given two decimal places, and commas where necessary.

FIXED function

FIXED(number, precision, no_commas)

Parameter | Description
number | number you want to fix
precision | number of decimal places
no_commas | if TRUE, result will have no commas; if FALSE or omitted, result will have commas

Users experienced in entering formulas may prefer to use the FIXED function. To use this function:

  1. Click on the cell you want the insert the fixed value into.

  2. Type in a formula. For example, for 5,000, type =FIXED(5000, 0, FALSE), or simply =FIXED(5000, 0).

  3. Press Enter. The result of your formula will appear in the cell. Note that this result can be used in basic calculations (addition, multiplication, subtraction, division); however, it will not be included in totals and subtotals.

Examples:

Formula | Result
=FIXED(5000, 0, TRUE) | 5000
=FIXED(5000, 0, FALSE) | 5,000
=FIXED(5000, 2, FALSE) | 5,000.00
=FIXED(5000, 2) | 5,000.00
=FIXED(5000) | 5,000.00
=FIXED(4999, 0) | 4,999
=FIXED(4999, -1) | 5,000
=FIXED(4999, -1, TRUE) | 5000


Currency

To apply currency formatting:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. A Format Cells window will appear.

  4. Click the Number tab.

  5. In the Category box, click Currency.

  6. A list of currency types will appear in the Type box. Click on a type to select it. When you click on a type, a Sample will be displayed below.

  7. After selecting the currency type, click OK.

  8. The currency formatting will be applied to the selected cell(s). Note that the numbers will still be numerical values after formatting.

Note: To quickly access the number formatting window, go to the Format menu, and click Number formatting.

Currency Formatting in Advanced Mode

To apply currency formatting in Advanced Mode:

  1. Select the cell(s) that you want to format.

  2. Click the Currency Style ($) button.

  3. The selected cell(s) will be converted to the form $ ###,###.## - each number will be given a dollar sign, two decimal places, and commas where necessary.

DOLLAR Function

DOLLAR(number, precision)

Parameter | Description
number | dollar amount
precision | number of decimal places; if omitted, will default to two decimal places

Users experienced in entering formulas may prefer to use the DOLLAR function. To use this function:

  1. Click on the cell you want the insert the currency amount into.

  2. Type in a formula. For example, for $5.00, type =DOLLAR(5, 2), or simply =DOLLAR(5).

  3. Press Enter. The result of your formula will appear in the cell. Note that this result can be used in basic calculations (addition, multiplication, subtraction, division); however, it will not be included in totals and subtotals..

Examples:

Formula | Result
=DOLLAR(3) | $ 3.00
=DOLLAR(3, 2) | $ 3.00
=DOLLAR(3, 0) | $ 3
=DOLLAR(3, 4) | $ 3.0000
=DOLLAR(3.7612) | $ 3.76
=DOLLAR(5200) | $ 5,200.00
=DOLLAR(A2) | will display value in cell A2 as a dollar amount

International Currency

At the present time, EasySpreadsheet does not feature international currency formatting. You can, however, insert international currency symbols (¥, £, etc.) into your cells. See Inserting Symbols.

Dollar Signs and Cell References

In EasySpreadsheet, dollar signs ($) are used in formulas to make absolute cell references (e.g., =$A$1*$C1). It is important to remember that a dollar sign in a formula has nothing to do with currency - it simply tells EasySpreadsheet not to change the row or column if the cell formula is pasted or moved elsewhere. For details on absolute cell references, see Relative and Absolute Cell References.


Fixed Decimals

To round values to a certain number of decimal places:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. A Format Cells window will appear.

  4. Click the Number tab.

  5. In the Category box, click Fixed.

  6. A list of fixed decimal types will appear in the Type box. Click on a type to select it. When you click on a type, a Sample will be displayed below.

  7. After selecting a type, click OK.

  8. The decimal formatting will be applied to the selected cell(s). Note that the numbers will still be numerical values after the formatting is applied.

Note: To quickly access the number formatting window, go to the Format menu, and click Number formatting.

Fixed Decimal Formatting in Advanced Mode

To apply fixed decimal formatting in Advanced Mode:

  1. Select the cell(s) that you want to format.

  2. To increase the number of decimal places, click the Increase Decimal button (<-.00). Each time you click, the number of decimal places will increase by one.

  3. To lower the number of decimal places, click the Decrease Decimal button (->.0). Each time you click, the number of decimal places will decrease by one.

FIXED Function

FIXED(number, precision, no_commas)

Parameter | Description
number | number you want to fix
precision | number of decimal places; if omitted, will default to two decimal places
no_commas | if TRUE, result will have no commas; if FALSE or omitted, result will have commas

Users experienced in entering formulas may prefer to use the FIXED function. To use this function:

  1. Click on the cell you want the insert the fixed value into.

  2. Type in a formula. For example, for 10.00, type =FIXED(10, 2), or simply =FIXED(10).

  3. Press Enter. The value (result) of your formula will appear in the cell. Note that this result can be used in basic calculations (addition, multiplication, subtraction, division); however, it will not be included in totals and subtotals.

Examples:

Formula | Result
=FIXED(18) | 18.00
=FIXED(18, 2) | 18.00
=FIXED(18, 0) | 18
=FIXED(18, -1) | 20
=FIXED(-18, 2) | -18.00
=FIXED(255, -2) | 300
=FIXED(1000, 0, TRUE) | 1000
=FIXED(1000, 2, TRUE) | 1000.00
=FIXED(1000, 2, FALSE) | 1,000.00
=FIXED(10.2, 0) | 10
=FIXED(10.7, 0) | 11
=FIXED(10.5, 0) | 11


Percentages

EasySpreadsheet can quickly covert numbers in your sheet to percentages. For example, if 0.75 was formatted as a percentage, it would be displayed as 75%.

To display numbers as percentages:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. A Format Cells window will appear.

  4. Click the Number tab.

  5. In the Category box, click Percent.

  6. A list of percentage format types will appear in the Type box. Click on a type to select it. When you click on a type, a Sample will be displayed below.

  7. After selecting a type, click OK.

  8. The percentage formatting will be applied to the selected cell(s). Note that the numbers will still be numerical values after the formatting is applied.

Note: To quickly access the number formatting window, go to the Format menu, and click Number formatting.

Percentage Formatting in Advanced Mode

To apply percentage formatting in Advanced Mode:

  1. Select the cell(s) that you want to format.

  2. Click the Percent Style (%) button.

  3. The selected cell(s) will be converted to percentages.

Percentages in Formulas

Users experienced in entering formulas may prefer to use percentages while typing in a cell.

  1. Click on the cell you want the insert the percentage value into.

  2. Type the number in the cell. Use a percent sign (%) to indicate that you have entered a percentage value. For example, type 50%.

  3. Press Enter.

  4. In the cell, the number will appear as a percentage. The standard, decimal number will appear in the formula bar above the spreadsheet. For example, if you enter 50%, then 50% will appear in the cell, and 0.5 will appear in the formula bar.

Examples:

Percentage | Standard Number
0.05% | 0.0005
30% | 0.3
100% | 1
350% | 3.5


Fractions

EasySpreadsheet can quickly convert decimal numbers in your sheet to fractions. For example, if 0.5 was formatted as a fraction, it would be displayed as 1/2.

To display numbers as fractions:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. A Format Cells window will appear.

  4. Click the Number tab.

  5. In the Category box, click Fraction.

  6. A list of fraction format types will appear in the Type box. Click on a type to select it. When you click on a type, a Sample will be displayed below.

  7. After selecting a type, click OK.

  8. The fraction formatting will be applied to the selected cell(s). Note that the numbers will still be numerical values after the formatting is applied.

Note: To quickly access the number formatting window, go to the Format menu, and click Number formatting.

Fractions in Formulas

Users experienced in entering formulas may prefer to use fractions while typing in a cell.

  1. Click on the cell you want the insert the fraction value into.

  2. Type the number in the cell. Use a backslash (/) to indicate that you have entered a fraction value. For example, type 3 1/2.

  3. Press Enter.

  4. In the cell, the number will appear as a fraction. The standard, decimal number will appear in the formula bar above the spreadsheet. For example, if you enter 3 1/2, then 3 1/2 will appear in the cell, and 3.5 will appear in the formula bar.

Examples:

Fraction | Standard Number
1/2 | 0.5
2/3 | 0.666666666666667
1 | 1
4 1/4 | 4.25


Scientific Notation

Scientific notation is a useful for displaying very large and very small numbers. Numbers are written as powers of ten. In scientific notation, 100000 would be 1E+5 (which means 1 *10^5), while 0.00001 would be 1E-5 (which means 1 *10^-5).

To convert numbers to scientific notation:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. A Format Cells window will appear.

  4. Click the Number tab.

  5. In the Category box, click Scientific.

  6. A list of scientific notation format types will appear in the Type box. Click on a type to select it. When you click on a type, a Sample will be displayed below.

  7. After selecting a type, click OK.

  8. The scientific notation formatting will be applied to the selected cell(s). Note that the numbers will still be numerical values after the formatting is applied.

Note: To quickly access the number formatting window, go to the Format menu, and click Number formatting.

Scientific Notation in Formulas

Users experienced in entering formulas may prefer to use scientific notation while typing in a cell.

  1. Click on the cell you want the insert the scientific notation value into.

  2. Type the number in the cell. Use the letter E to indicate a power of ten. For example, for 1000, type 1e3. For 0.1, type 1e-1.

  3. Press Enter.

  4. In the cell, the number will appear in scientific notation, fixed to two decimal places. The standard number will appear in the formula bar above the spreadsheet.

Examples:

Value Entered | Scientific Notation | Standard Form
5e0 | 5.00E+00 | 5
5e-2 | 5.00E-02 | 0.05
5e6 | 5.00E+06 | 5000000
3.3333e2 | 3.33E+02 | 333.33
-9e-5 | -9.00E-05 | -0.00009


Using the TEXT Function

TEXT (number, format)

Parameter | Description
number | number you want to format; can be a numerical value or cell reference (if a text string is used, no formatting will be applied)
format | type of formatting to be applied to the number; must be enclosed in double quotes

Users experienced in entering formulas may prefer to use the TEXT function. To use this function:

  1. Click on the cell you want the insert the fixed value into.

  2. Type in a formula. For example, for $25.00, type =TEXT(25, "$0.00").

To see a full list of possible formats, go to the Format menu, and select Number Formatting. In the Format Cells window, the list of formats is given in the Type box. Common formats include:

Category | Format | Sample
Currency | $ 0.00 | $ 6500.00
 | $ #,##0 | $ 6,500
 | $ #,##0.00 | $ 6,500.00
Fixed | #.00 | 6500.00
 | #,##0 | 6,500
 | #,##0.00 | 6,500.00
Percent | 0% | 25%
 | #.00% | 25.00%
Fraction | ?/? | 1/4
 | ??/?? | 23/25
Scientific | 0.00E+00 | 1.50E+02
 | ##0.0E+0 | 800.0E+9
Date | m/d/yy | 12/30/1988
 | d-mmm | 2-Jan
 | mmm-yy | Oct-98
 | mmmm d, yyyy | January 1, 2002
Time | h:mm AM/PM | 12:00 AM

  3. Press Enter. The result of your formula will appear in the cell. Note that the number can be used in basic calculations (addition, multiplication, subtraction, division); however, it will not be included in totals and subtotals.

Examples:

Formula | Result
=TEXT(5, "$ 0.00") | $ 5.00
=TEXT(5.6, "0") | 6
=TEXT(2500, "#,###") | 2,500
=TEXT(0.75, "0%") | 75%
=TEXT(0.75, "?/?") | 3/4
=TEXT(1, "mmm-yy") | Jan-01

See Also:

Format Functions

Entering Functions


Font Style, Size, and Color

To change the font attributes (style, size, color, etc.):

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. Click the Font tab.

  4. Here, you can:

    • Select a font (Arial, Book Antiqua, etc.) from the Font box.

    • Select a font style (Regular, Bold, Italic) from the Font style box.

    • Select a font size from the Size box. Or, type in a size of your own.

    • Under Effects, choose Strikeout and/or Underline.

    • Select a font color from the Color box.

  5. When you are finished, click OK.

  6. The formatting will be applied to the selected cell(s).

Note: To quickly access the font attributes window, go to the Format menu, and click Font and Color.

Font Formatting in Advanced Mode

To apply font formatting in Advanced Mode:

  1. Select the cell(s) that you want to format.

  2. Click a formatting icon:

  • Font Color: Changes the colors of the text and numbers in the selected cells.

  • Bold, Italics, Underline: Bolds, italicizes, or underlines values within the selected cells.

  • Font, Size: Changes the font type or size within the selected cells.


Alignment

To change the horizontal and vertical text alignment:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. Click the Alignment tab.

  4. Here, you can:

  • Select a horizontal alignment from the Horizontal box:

    • General: Text will be aligned according to its type (e.g., numbers are aligned to the right, while currency and labels are aligned to the left).

    • Left: Standard left text alignment.

    • Center: Standard centered text alignment.

    • Right: Standard right text alignment.

    • Fill: Data will fill the entire width of the cell. If the cell contains a number value, the number will be repeated so that it fills the cell.

    • Center Across Cells: Data will be centered across the entire width of the column(s) selected.

  • Select a vertical alignment from the Vertical box:

    • Top: Text will be pushed to the top of the cell.

    • Center: Text will be centered in the cell.

    • Bottom: Text will be pushed to the bottom of the cell.

  • If you do not want text from one cell to overflow into another (or become truncated if the adjacent cell already contains a value), check off Wrap Text.

  5. When you are finished, click OK.

  6. The alignment formatting will be applied to the selected cell(s).

Note: To quickly access the alignment settings window, go to the Format menu, and click Centering.

Changing Horizontal Alignment in Advanced Mode

To change the horizontal text alignment in Advanced Mode:

  1. Select the cell(s) that you want to format.

  2. Click the Align Left, Align Center, or Align Right icon.


Cell Borders

To format the borders of cells:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. A Format Cells window will appear.

  4. Click the Border tab.

  5. Here, you can:

  • Select a line type for the borders. Under Line Style, click a style.

  • Select a color for your borders. Under Color, click a color.

  • Choose to have regular borders, no borders, or borders on certain sides. To select the visible borders, click the buttons (shown below).

  6. When you are finished, click OK.

  7. The border formatting will be applied to the selected cell(s).

Border Formatting in Advanced Mode

To change the cell border formatting in Advanced Mode:

  1. Select the cell(s) that you want to format.

  2. Click the down arrow on the Border icon (shown below).

  3. A selection of border styles will appear. Click the border of your choice.


Cell Fill Color

Cell fill colors are often useful if you have a long sheet - vary the fill color of every second line (or every few lines) to make your sheet easier to read. Fill colors are also useful for highlighting important information in your sheet.

To change the fill color or fill pattern of cells:

  1. Select the cell(s) that you want to format.

  2. Go to the Format menu, and click Cells.

  3. A Format Cells window will appear.

  4. Click the Patterns tab.

  5. Here, you can:

  • Select a cell Fill Color (as opposed to the normal white cell color).

  • If you would like the cells to be filled with a pattern, select a Fill Pattern, and a Pattern Color.

  6. When you are finished, click OK

  7. The fill color will be applied to the selected cell(s).

Cell Fill Color in Advanced Mode

To change the fill color of cells in Advanced Mode:

  1. Select the cell(s) that you want to format.

  2. Click the down arrow on the Fill Color icon (shown below).

  3. A palette of colors will appear. Click a color to select it. Or, click More Colors to create your own custom color.

  4. The fill color of the selected cell(s) will be change to the color you chose.


Copying and Pasting Formats

You can copy the text format and fill color of a cell, and then apply them to other cells.

To copy and paste formats:

  1. Select the cell whose format you want to copy.

  2. Copy the cell (by pressing Ctrl+C, or going to Edit -> Copy).

  3. Select the cells to which you want to apply the copied format.

  4. Go to the Edit menu, and click Paste Formats.

  5. The format of will be copied to the selected cells.

Copying and Pasting Formats in Advanced Mode

To quickly copy and paste formats in Advanced Mode:

  1. Select the cell whose format you want to copy.

  2. Click the Format Brush icon. (Advanced Mode only.)

  3. Select the cells to which you want to apply the copied format, and click.

  4. The format of will be copied to the selected cells.

See Also:

Cut, Copy, and Paste


Clearing Formats

You can remove cell formatting that you have applied, so that the background and text are returned to the default settings (10 pt Arial font, black text, left text alignment, non-bold, non-italicized, no underline, white cell fill color, no cell border, no currency formatting, no comma formatting, no percent formatting, no decimal formatting, etc.).

To clear the format:

  1. Select the cell(s) whose format you with to clear.

  2. Go to the Edit menu, and click Clear Formats.

  3. The format of your selected cell(s) will be returned to default.


Merging Cells

You can merge two or more cells into one.

To merge cells:

  1. Select the adjacent cells that you want to merge. For help on selecting cells, see Selecting Cells.

  2. Click the Merge Center button.

The cells you selected will be merged into one cell.


Subtotaling Numbers

To find the subtotal of numbers in a column:

  1. Select the cell where you want your subtotal to appear. Note that only the values ABOVE this cell (and, in the same column) will be subtotaled. Values that have already been used in a subtotal will NOT be included. Labels, function results, and empty cells will be given a value of zero.

  2. Go to the Data menu, and click Subtotal Above Nos. Or, if you are in Easy Mode, click the Subtotal Above Numbers button (in Advanced Mode, click the icon with a blue sigma symbol and yellow line).

  3. The numbers in the column will be subtotaled. Subtotal =, followed by the subtotal, should appear in the cell you selected. Note that this subtotal is a value, and thus, can be used in calculations; however, it will not be included in row and column totals.

Note: If ######### appears in the subtotal cell, the column is not wide enough. Increase the column width, and your subtotal will be visible.


Subtracting and Subtotaling Numbers

You can subtotal a column of numbers using subtraction instead of addition.

To negate values, and then find the subtotal:

  1. Select the cell in which you want the subtotal to appear. Note that only the values ABOVE this cell (and, in the same column) will be subtotaled. Values that have already been used in a subtotal will NOT be included. Labels, function results, and empty cells will be given a value of zero.

  2. Go to the Data menu, and click Subtract and Subtotal Above Nos. Or, if you are in Easy Mode, click the Add / Subtotal Above Numbers button (in Advanced Mode, click the icon with a red sigma symbol and a yellow line).

  3. The numbers above the selected cell will be negated, and then subtotaled. Subtotal =, followed by the subtotal, should appear in the cell you selected. Note that this subtotal is a value, and thus, can be used in calculations; however, it will not be included in row and column totals.

Note: If ######### appears in the subtotal cell, the column is not wide enough. Increase the column width, and your subtotal will be visible.

Negative Subtotals and Budget Sheets

This function is very useful when creating a budget sheet. If you have a group of expenses, simply apply this function to those cells and you can quickly obtain an expense total. This total will automatically be subtracted from the rest of the column, and the grand total will appear at the bottom of the sheet in the total bar.


Totaling Columns and Rows

Totaling All Numbers in a Column

To find the total of all numbers in a column:

  1. Select the cell where you would like your total to appear. Note that it does not matter where the cell is in the column - the total of the entire column will be placed in the selected cell.

  2. Go to the Data menu, and click Total All Nos. in Column. Or, if you are in Easy Mode, click the Total all Numbers in this Column button (in Advanced Mode, click the smaller icon shown below).

  3. All the numbers in the column will be totalled. Total =, followed by the total, should appear in the cell you selected. Note that this total is a label, and thus, cannot be used in calculations.

Totaling All Numbers in a Row

To find the total of all numbers in a row:

  1. Select the cell where you would like your total to appear. Note that it does not matter where the cell is in the row - the total of the entire row will be placed in the selected cell.

  2. Go to the Data menu, and click Total All Nos. in Row. Or, if you are in Easy Mode, click the Total all Numbers in this Row button (in Advanced Mode, click the smaller icon shown below).

  3. All the numbers in the row will be totalled. Total =, followed by the total, should appear in the cell you selected. Note that this total is a label, and thus, cannot be used in calculations.

Note: If ##### appears in the total cell, the column is not wide enough. Increase the column width, and your total will be visible.


Formatting Subtotals and Totals

By default, EasySpreadsheet will place "Total =" before totals, and "Subtotal =" before subtotals. However, these settings can easily be changed.

To change the total and subtotal settings:

  1. Go to the Tools menu, and click Options.

  2. An Options window will appear.

  3. Ensure that the General tab is selected.

  4. Here, you can enter new subtotal and total formats. These will appear before any totals and subtotals you place in your sheet. (Hint: If you do not want anything to appear before your totals, leave theses text boxes blank.)

Total Settings in Easy Mode

In Easy Mode, there is another way to change the format of your totals and subtotals:

  1. If you are not already in Easy Mode, then switch to Easy Mode (click the EZ button).

  2. Click the Settings for "Subtotal=" "Total =" button (shown below).

  3. A Settings window will open.

  4. To change the subtotal format, click the Subtotal Setting tab. To change the total format, click Total Setting.

  5. When you are finished, click OK.


Adding Groups of Numbers

To add a group of adjacent numbers (in the same column or row):

  1. Select the groups of cells that you want to add. (To select a group of cells, click on the first cell of the group, hold down your mouse button, and drag the cursor over the other cells you want to select). When selecting:

    • If you are adding numbers in a column, only select cells from one column (e.g., cell A1 to cell A5). Similarly, if you are adding numbers in a row, only select cells from one row (e.g., cell A1 to G1).

    • If you are adding numbers in a column, there must be an empty cell at the bottom of the column of cells you select. Similarly, if you are adding numbers in a row, there must be an empty cell to the right of the cells you select.

  2. Go to the Data menu, and click Add Selected Numbers. Or, if you are in Easy Mode, click the Add Selected Numbers button (in Advanced Mode, click the icon with a blue sigma symbol).

Note: This will not work if the cell in which the total should appear is occupied, or if a block of cells has been selected (i.e., more than one row and more than one column).

  3. The values in the selected cells will be added together. If you selected a group of numbers in a column, this sum will appear in the cell immediately below the your selection. If you selected a group of numbers in a row, this sum will appear in the cell immediately to the right of your selection.

Note: A formula (rather than an actual number) including the SUM function will be inserted into the cell. This formula represents the sum of the cells you selected. This sum is a value, and thus, can be used in calculations. It will also be included in row and column totals.

Notes on Subtotals

Subtotalling numbers in a column is different from adding a selected group of cells.

When subtotalling numbers (by clicking Subtotal Above Numbers):

  • There is no need to select a group of cells. The numbers above the single cell you select will automatically be totaled. Note that it will not include numbers that are already used in another subtotal.

  • The subtotal will be ignored when totaling the entire column. It will also be ignored by other subtotals. However, the subtotal is a value, and can be used in other calculations.

See Subtotaling Numbers for further details.


Adding Selected Cells

EasySpreadsheet allows you to easily find the sum of values in cells that are not in the same column or row.

To add a selection of cells:

  1. Select the cells you wish to add. To select different cells:

    • Click one cell that you want in your total.

    • Hold down the Ctrl key while you click the other cells (or cell groups) that you want in your total.

    • As you select cells, the sum of your selected cells will appear in the status bar at the bottom of your screen (Sum=xxx).

  2. You can place the sum in the status bar into a cell in your sheet. Go to the Data menu, and click Add Different Cells. Or, if you are in Easy Mode, click the Add Different Cells button (in Advanced Mode, click the smaller icon shown below).

  3. Click the cell that you want the sum to be inserted into.

  4. The sum of the selected cells will appear in the cell you clicked. (Actually, a formula including the SUM function will be inserted into the cell.) Note that this sum is a value, and thus, can be used in calculations.


Using the SUM Function

SUM (number_list)

Parameter | Description
number_list | list of numbers you wish to add (or, list or range of cells whose values you want to add)

Users experienced in entering formulas may wish to use the SUM function when finding the total of a selection of cells. To use this function:

  1. Click on the cell you want the insert the sum value into.

  2. Type in the formula. For example, to find the sum of cells A1 to A5, type =SUM(A1:A5).

  3. Press Enter. The result of your formula will appear in the cell. Note that this sum is a value, and thus, can be used in formulas and calculations. It will also be included in totals and subtotals.

Examples:

Formula | Result
=SUM (B1, B2, C3, C6) | returns the sum of values in cells B1, B2, C3, and C6
=SUM (C5:G30) | returns the sum of values in cells C5 to G30
=SUM (A1:A10, C1:C10) | returns the sum of values in cells A1 to A10, and C1 to C10
=SUM (1, 2, 3, 4) | 10
=SUM (A1, 10, 2) | returns the value of A1 increased by 12 (i.e., A1+10+2)

See Also:

Arithmetic Functions


Making Numbers Negative

EasySpreadsheet allows you to quickly make positive numbers negative (or, negative numbers positive).

To change the sign of numbers:

  1. Select the cell(s) that you want to change.

  2. Go to the Data menu, and click Make Nos. Negative. Or, if you are in Easy Mode, click the Make Number(s) Negative button (in Advanced Mode, click the icon with a red minus sign).

  3. The signs of the numbers you selected will be changed. Positive numbers will be converted to negative, and negative numbers will be converted to positive.

Note: By default, negative numbers appear in red.


AutoFill

EasySpreadsheet has a built-in AutoFill feature which allows you to automatically extend data in a series. EasySpreadsheet will continue the pattern, and automatically enter the data for you.

Before using AutoFill, it is important to note that:

  • AutoFill allows data to be extended from a cell, or cell range, to cells in the same column(s) or row(s). Data can be extended to the cells below or to the right of the selected cell(s); however, it cannot be extended to the cells above, nor to the left.

  • AutoFill will copy formulas and formats.

To AutoFill:

  1. Select the cell, or cell range, you want to copy. A heavy border will appear around the selected cell(s).

  2. Place your mouse cursor over the small, black square in the bottom-right corner of the cell (or cell range). The cursor will change to a small plus sign.

  3. Click and hold down your left mouse button. Without releasing the mouse button, move your mouse cursor over the cells you want to copy to. These cells can be below or to the right of the cell(s) you originally selected.

  4. Release the mouse button. The data from the cell(s) you originally selected will be extended to the other cells.

Values and Labels

You can use AutoFill to copy values and labels within cells to other adjoining cells.

Example:

  1. Put the value 12 in cell C10.

  2. Select cell C10.

  3. Click the black square in the bottom-right corner of cell C10, and hold down the mouse button. Without releasing the mouse button, move the cursor over cells D10, E10, F10, and G10.

  4. Release the mouse button. The value 12 will automatically be placed in cells D10, E10, F10 and G10.

Formulas

You can use AutoFill to copy formulas within cells to other adjoining cells.

Example:

  1. In cell C11, type the formula =C10*5 .

  2. Select cell C11.

  3. Click the black square in the bottom-right corner of cell C11, and hold down the mouse button. Without releasing the mouse button, move the cursor over cells D11, E11, F11, and G11.

  4. Release the mouse button. The formula will automatically be copied to cells D10, E10, F10 and G10.

  5. If you select cell D11, the formula =D10*5 will appear in the formula bar above your spreadsheet. Similarly, =E10*5 will appear when you select cell E11, and so on for cells F11 and G11. (Note: For help on cell references in formulas, see Relative and Absolute Cell References.)

Days and Months

You can use AutoFill to copy patterns of the names of days or months.

Built-in patterns include:

  • Sunday, Monday, Tuesday...

  • Sun, Mon, Tues, Wed...

  • January, February, March...

  • Jan, Feb, Mar...

Example:

  1. Type Sunday in a cell.

  2. Select the cell you just typed in (click your left mouse button somewhere outside of the cell, and then click the cell again).

  3. Click the small black square on the bottom-right corner of the cell. While holding down your mouse button, move your mouse over adjoining cells.

  4. Release your mouse button. The pattern Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday, Monday, Tuesday... will automatically appear in the cells.

Note: A pattern can be started at any point within the pattern. For example, perhaps you entered Feb in a cell, selected the cell and then dragged the small black square to the two adjoining cells. Mar and Apr will appear in these two cells.

Cell Ranges

You can use AutoFill to extend data from a block of cells to adjoining cells.

Example:

  1. In cell B2, enter the value 4. In cell B3, enter the value 2.

  2. Select the cell range from B2 to B3.

  3. Click the black square in the bottom-right corner of the range, and hold down the mouse button. Without releasing the mouse button, move the cursor down, over cells B4, B5, B6, and B7.

  4. Release the mouse button. The pattern 4, 2 will automatically be continued in cells B4, B5, B6 and B7.

Creating Custom AutoFill Patterns

You can create your own AutoFill patterns:

  1. Go to the Tools menu, and click AutoFill List.

  2. An Options window will appear.

  3. In the Current List, type your list. Separate the items in your list with semi-colons (;). For example, item1;item2;item3.

  4. When you are finished typing your list, click the Add button.

  5. To return to your sheet, click OK.

Example:

Perhaps you typed one banana;two banana;three banana in the Current List box.

  1. Click Add, and then OK.

  2. When you return to your spreadsheet, enter one banana in a cell.

  3. Select the cell and drag its small black square to the adjoining cells. You will see the pattern one banana, two banana, three banana, one banana, two banana, and so on.

Note: Depending on your version of EasySpreadsheet, your own customized AutoFill lists may or may not be saved along with your spreadsheet.

See Also:

Copying Formulas and Functions


Sorting Data

EasySpreadsheet can sort rows and columns of data in your sheet, allowing you to create a database of sorts.

Use one sheet for each list you want to create. Each row (or column) of the sheet will effectively be a record. You can enter the various fields for each record in the cells of the row (or column). Be careful not to include any blank rows or columns in the middle of your list.

The following table will be used as an example. As shown, the records are arranged in rows.

 | A | B | C
1 | Vehicle | Year | Color
2 |  |  |
3 | car | 1981 | red
4 | truck | 1980 | black
5 | car | 1970 | black
6 | car | 1981 | silver
7 | van | 1977 | red
8 | truck | 1975 | blue
9 | car | 1981 | blue

To sort your list:

  1. Select the data that you want to sort. This can be your entire sheet, or only part of the sheet. Cells that are not selected will not be sorted, even if they are in the same rows or columns of the selected cells. (For help on selecting cells, see Selecting Cells or Selecting Columns and Rows.)

Note: Only one column or row will be used to sort at a time. If in the above table, you select cells A3 to C9 and sort by rows, then each column of data will not be sorted separately. Each row of data (from column A to column C) is considered a record. If you sort by Vehicle, then the Year and Color data for each record will be shifted accordingly. However, if you select only cells A3 to A9 and sort by Vehicle, then the Year and Color data will not be shifted.

  2. Go to the Data menu, and click Sort.

  3. A Sort window will appear.

  4. Under Sort By, choose to have your data sorted by rows or by columns. Data is most often sorted row-by-row. However, you may prefer to have your data sorted column-by-column.

  5. Choose to sort your data in Ascending order (1, 2, 3 and A, B, C) or Descending order (3, 2, 1 and C, B, A).

  6. Enter a cell reference in the Key Reference box:

    • If you are sorting by rows, specify which column of data you want to sort. The selected cells in this column will be sorted, and all cells in the selected rows will be shifted accordingly. Enter a cell reference for any cell in the column you want to sort - the row will be ignored. For example, if you wanted data in column B to be sorted, you could enter B1.

  • If you are sorting by columns, specify which row of data you want to use to sort. The selected cells in this row will be sorted, and all cells in the selected columns will be shifted accordingly. Enter a cell reference for any cell in the row you want to sort - the column will be ignored. For example, if you wanted data in row 3 to be sorted, you could enter A3.

  • If you do not enter a key reference, EasySpreadsheet will use the top-left cell of your selected cells. If sorting by rows, the left-most column of your selected will be sorted. If sorting by columns, the top row of your selection will be sorted.

  7. Data can be sorted by multiple keys. For a multi-leveled sort, select a key from the Keys box, and enter a cell reference

For example, perhaps you want to sort the above table by Vehicle, then by Year, and then by Color. To do so:

  1. Before sorting, ensure that you have selected cells A3 through C9.

  2. Key 1 appears the in Keys box. Type A3 in the Key Reference box to use column A to sort. This is the first level of the sort.

  3. Select Key 2 from the Keys box. Type B3 in the Key Reference box to use column B to sort. This is the second level of the sort.

  4. Select Key 3 from the Keys box. Type C3 in the Key Reference box to use column C to sort. This is the third level of the sort.

The following table will result. As shown, the records will be sorted by Vehicle, then by Year, and then by Color.

 | A | B | C
1 | Vehicle | Year | Color
2 |  |  |
3 | car | 1970 | black
4 | car | 1981 | blue
5 | car | 1981 | red
6 | car | 1981 | silver
7 | truck | 1975 | blue
8 | truck | 1980 | black
9 | van | 1977 | red

  8. When you are done, click OK.

Sorting in Advanced Mode

To quickly sort your data by rows in Advanced Mode:

  1. Select the cells you want to sort.

  2. To sort in ascending order (1, 2, 3 and A, B, C), click the Sort Ascending icon.

To sort in descending order (3, 2, 1 and C, B, A), click the Sort Descending icon.

  3. The data you selected will be sorted by rows. The left-most column of your selected cells will automatically be used to sort the data.


Inserting a Sheet

To insert a new sheet into your workbook:

  1. Click the sheet tab to the right of where you want to insert the new sheet. Clicking the tab will cause the sheet to become active.

  2. Go to the Insert menu, and click Worksheet.

  3. A new sheet will be automatically inserted. It will be placed BEFORE the sheet that was active.

See Also:

Deleting a Sheet


Inserting Cells

You can insert new, blank cells anywhere in the sheet. This is useful if you need to enter new data beside existing filled cells.

Inserting a cell will move the other cells in the column or row to the right or down, for example. EasySpreadsheet will automatically adjust any formulas so they refer to the correct cells.

To insert cells:

  1. Select the cell(s) that are located where you want to insert new cell(s).

  2. Go to the Insert menu, and click Cells.

  3. An Insert window will appear.

  4. To move the contents of the selected cell(s) to the right, click Shift Cells Right; to move the selected cell(s) down, click Shift Cells Down.

  5. Click OK. The new cell(s) will be inserted.

See Also:

Deleting Cells


Inserting Columns and Rows

Blank columns or rows can be placed between columns or rows that are already filled.

Inserted columns are added to the left of the selected columns. Inserted rows are added above the selected rows. EasySpreadsheet will automatically adjust the other columns and rows appropriately.

To insert a column:

  1. Select the column to the right of where you want to insert your new column (e.g., if you select column B, the new column will be inserted between columns A and B). For help on selecting columns, see Selecting Columns and Rows.

  2. Go to the Insert menu, and click Columns.

  3. A new, blank column will be inserted to the left of your selected column. Column headings and formulas within the cells will be adjusted accordingly.

To insert a row:

  1. Select the row just below where you want to insert your new row (e.g., if you select row 2, the new row will be inserted between rows 1 and 2). For help on selecting rows, see Selecting Columns and Rows.

  2. Go to the Insert menu, and click Rows.

  3. A new, blank row will be inserted to the above of your selected column. Column headings and formulas within the cells will be adjusted accordingly.

See Also:

Deleting Columns and Rows


Inserting Cell Names

You can name individual cells, cell ranges, and cell groups. These names can be used in formulas and functions instead of the usual cell references.

To insert a cell name:

  1. Select the cell(s) that you want to name. For help on selecting cells, see Selecting Cells.

  2. Go to the Insert menu and move your mouse over Name.

  3. A menu will pop up. Click Define.

  4. The Define Name window will appear.

  5. Click on the box below Name, then type in the name for your cell(s). Ensure that this name has not already been used. Note also that:

    • Names can contain uppercase and lowercase letters.

    • Names can contain numbers, but cannot begin with numbers.

    • Names can contain underscores.

    • Names cannot contain spaces.

    • Names cannot contain symbols.

  6. The formula for the name appears in the Formula box. If necessary, this formula can be edited by typing in the box.

  7. When you are satisfied with the name and formula, click Add. The name you entered will appear in the box below.

  8. To return to your spreadsheet, click OK.

Using Cell Names in Formulas

To use a cell name that you have defined, simply type the name in place of the usual cell reference.

Examples:

  • Suppose that you have given cell A2 the name TaxRate. Suppose also that you wanted to multiply this value by the value in B3. Instead of entering the formula =A2*B3, you could enter =TaxRate*B3.

  • Suppose that you have given cell range B2:B18 the name Savings. Supposed also that you wanted to find the sum of this range. Instead of entering the formula =SUM(B2:B18), you could enter =SUM(Savings).

Using Cell Names with Lookup Tables

Suppose that, in the table below, cells A2:A5 are named Names, cells B2:B5 are named Ages, and cells C2:C5 are named Birthdays. Suppose also that the entire table, A2:C5, is named Table.

 | A | B | C
1 | Name | Age | Birthday
2 | Alex | 14 | Jun 12
3 | Bob | 11 | Apr 5
4 | Eve | 13 | Oct 16
5 | Jane | 9 | Feb 22

Formula | Result
=LOOKUP("alex", A2:A5, B2:B5) | 14
=LOOKUP("alex", Names, Ages) | 14
=LOOKUP("Eve", Names, Birthdays) | Oct 16
=LOOKUP("Apr 5", Birthdays, Names) | Bob
=VLOOKUP("Jane", A2:C5, 2) | 9
=VLOOKUP("Jane", Table, 2) | 9
=VLOOKUP("Jane", Table, 3) | Feb 22


Inserting Constant and Formula Names

EasySpreadsheet allows you to define your own constants and formulas.

To define a constant or formula:

  1. Go to the Insert menu and move your mouse over Name.

  2. A menu will pop up. Click Define.

  3. The Define Name window will appear.

  4. Click on the Name box, then type in the name for your constant or formula. Ensure that this name has not already been used. Note also that:

    • Names can contain uppercase and lowercase letters.

    • Names can contain numbers, but cannot begin with numbers.

    • Names can contain underscores.

    • Names cannot contain spaces.

    • Names cannot contain symbols.

  5. The formula for the name appears in the Formula box. Delete the formula in this box, then type in the value or formula. If, for example, you wanted the value of your constant to be 0.05, you would type in 0.05. If you wanted the value to be e, you would type in EXP(1). If you wanted the value to be 106, you would type in 10^6.

  6. When you are satisfied with the name and formula, click Add. The name you entered will appear in the box below.

  7. To return to your spreadsheet, click OK.

Using Constants and Formulas

To use a constant or formula that you have defined, simply type its name in your usual spreadsheet formulas.

Examples:

  • Suppose that you have defined a constant with the name TaxRate and the value 0.08. Suppose also that you wanted to multiply this value by the value in A3. Instead of entering the formula =A3*0.08, you could enter =A3*TaxRate.

  • Suppose that you have defined a formula with the name RANDOM. Suppose also that the formula for random is ROUND(RAND()*9+1, 0), which generates a random whole number between 1 and 10. Instead of retyping the formula in your spreadsheet each time you want a random number, you could enter =RANDOM.


Deleting Names

To delete a name that you have defined for cells, a constant, or a formula:

  1. Go to the Insert menu and move your mouse over Name.

  2. A menu will pop up. Click Delete.

  3. The Define Name window will appear.

  4. Click on name you want to delete below the Name box.

  5. Click the Delete button. The name will be removed from the box.

  6. To return to your spreadsheet, click OK.


Inserting Charts

EasySpreadsheet allows you to insert professional-looking charts into your spreadsheet. To turn a few columns of numbers into a colorful chart, do the following:

  1. Select the data you want to use in your chart. (Hold down the left mouse button, and drag your mouse over the cells you want. The selected cells will be highlighted, and a heavy border will appear around them.)

  2. Go to the Insert menu, and click Chart. Or, if you are in Easy Mode, click the Make a Chart button (in Advanced Mode, click the button that looks like a bar chart).

  3. A bar chart based on the data you selected will appear on your current sheet. For help on changing the chart type (to a line chart, a pie chart, etc.), see Changing the Chart Type.


Changing the Chart Type

By default, EasySpreadsheet will insert your chart as a bar/pictograph chart; however, the chart type can easily be changed using the Chart Designer.

To change the chart type:

  1. Double-click the chart with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Chart Designer. The Chart Designer window will open.

  4. In the box on the left, ensure that Chart is selected.

  5. Click the Type tab.

  6. Here, you can:

  • Choose a chart type from the list (Line, Area, Step, etc.).

  • Choose to have a two-dimensional (2D) or three-dimensional (3D) chart.

  • Choose to display your data by rows, instead of by columns. To do so, check off Data in Rows.

  7. When you are done, click Apply, and then OK.


Setting Chart Titles

To add a title to a chart:

  1. Double-click the chart with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Chart Designer. The Chart Designer window will open.

  4. In the box on the left, click Title. Here, you can click a tab for further options:

  • Location: Allows you to specify the location of your title in your chart. To show the title on your chart, check off Visible. (If Visible is NOT checked off, then your title will NOT appear.)

  • Backdrop: Allows you to change the background color and border of your title. In the Fill section, you can specify the background fill style. Select a Gradient or Brush (pattern), and the fill colors. In the Frame section, you can add a border to your title. Select a Style (Single Line, Double Line, etc.) and Color. In the Shadow section, you can add a shadow behind your title box. Select Drop from the Style box.

  • Picture: Allows you to place an image behind your title. Click Browse to select an image file.

  • Layout: Allows you to change the alignment and orientation of your title.

  • Text: Allows you to edit your title. Enter your title in the Text box.

  • Font: Allows you to change the font attributes of your title. Select a Font (Arial, Times New Roman, etc.), Font Style (Regular, Bold, Italic), Size, Effects (Strikeout, Underline), and Color.

  5. When you are done, click Apply, and then OK.

Footnotes

To add a footnote to a chart:

  1. Double-click the chart with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Chart Designer. The Chart Designer window will open.

  4. In the box on the left, click Footnote. Here, you will be given the same options as when adding a chart title (see Step 4, above).

  5. When you are done, click Apply, and then OK.

Axis Titles

Adding titles to your X, Y, and Z axes is very similar to adding chart titles and footnotes. For example, to add a title to your X-axis:

  1. Double-click the chart with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Chart Designer. The Chart Designer window will open.

  4. In the box on the left, double-click Category (X) Axis.

  5. Click Axis Title. Here, you will be given the options similar to when adding a chart title (see Step 4, above).

  6. When you are done, click Apply, and then OK. (If the axis title does not display, try enlarging the box containing the chart.)


Formatting Axes

Formatting Axes and Grid Lines

To change the axis or grid line style:

  1. Double-click the chart with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Chart Designer. The Chart Designer window will open.

  4. In the box on the left, click Category (X) Axis to format the X-axis (or Value (Y) Axis to format the Y-Axis, or Category (Z) axis to format the Z-axis).

  5. Click the Pens tab. Here, you can change the width and color of your axis line. You can also change the style (solid, dashed, etc.), width, and color of your major and minor grid lines.

  6. When you are done, click Apply, and then OK.


Formatting Axis Labels

To change the style of axis labels:

  1. Double-click the chart with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Chart Designer. The Chart Designer window will open.

  4. In the box on the left, double-click Category (X) Axis to format the X-axis (or Value (Y) Axis to format the Y-Axis, or Category (Z) axis to format the Z-axis).

  5. Click Axis Labels. Click a tab for further options:

  • Display: Allows you to change the display of labels for three-dimensional charts.

  • Format: Allows you to change the number format of the labels (currency, fixed decimals, scientific notation, etc.). For more information, see Overview: Number Formatting.

  • Backdrop: Allows you to change the background color and border of your labels. In the Fill section, you can specify the background fill style. Select a Gradient or Brush (pattern), and the fill colors. In the Frame section, you can add borders to your labels. Select a Style (Single Line, Double Line, etc.) and Color. In the Shadow section, you can add shadows behind your label boxes. Select Drop from the Style box.

  • Picture: Allows you to place an image behind your labels. Click Browse to select an image file.

  • Layout: Allows you to change the alignment and orientation of your labels.

  • Font: Allows you to change the font attributes of your labels. Select a Font (Arial, Times New Roman, etc.), Font Style (Regular, Bold, Italic), Size, Effects (Strikeout, Underline), and Color.

  6. When you are done, click Apply, and then OK.

Changing the Scale

To change the scale of numbers used on an axis:

  1. Double-click the chart with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Chart Designer. The Chart Designer window will open.

  4. In the box on the left, click Category (X) Axis to change the X-axis scale (or Value (Y) Axis to change the Y-Axis, or Category (Z) axis to change the Z-axis).

  5. By default, EasySpreadsheet will automatically set the scale for you. To set the scale yourself, in the Scale section, un-check Automatic. Then, you can set the minimum and maximum values, the major and minor divisions, or the divisions per label and tick. (Note: The scale options available depend on your chart type.)

  6. In the Ticks section, you can change the position and length of the label ticks.

  7. Depending on your chart type, a Scale Type tab may appear beside the Category Scale (or Value Scale) tab. By default, EasySpreadsheet will use a linear scale. To use a logarithmic or percent scale instead, click the Scale Type tab.

  8. When you are done, click Apply, and then OK.


Inserting Legends

Legends are useful for charts with multiple groups of data.

To show a legend in your chart:

  1. Double-click the chart with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Chart Designer. The Chart Designer window will open.

  4. In the box on the left, click Legend. Here, you can click a tab for further options:

  • Location: Allows you to specify the location of the legend in your chart. To show the legend, check off Visible. (If Visible is NOT checked off, then the legend will NOT appear.)

  • Backdrop: Allows you to change the background color and border of your legend. In the Fill section, you can specify the background fill style. Select a Gradient or Brush (pattern), and the fill colors. In the Frame section, you can add a border to your legend. Select a Style (Single Line, Double Line, etc.) and Color. In the Shadow section, you can add a shadow behind your legend. Select Drop from the Style box.

  • Picture: Allows you to place an image behind your legend. Click Browse to select an image file.

  • Font: Allows you to change the font attributes of your legend text. Select a Font (Arial, Verdana, etc.), Font Style (Regular, Bold, Italic), Size, Effects (Strikeout, Underline), and Color.

  5. When you are done, click Apply, and then OK.


Resizing Charts

Moving and Resizing Charts

To move a chart to a new location in your sheet:

  1. Left-click the chart.

  2. While holding down the left mouse button, drag your chart to its new location.

  3. Release the mouse button.

Resizing Charts

To enlarge or shrink a chart:

  1. Left-click the chart once.

  2. Move the cursor to one of the short black lines on the perimeter of the chart. The regular cursor should change to a double-headed arrow.

  3. Hold down your left mouse button, and move the cursor to enlarge or shrink the chart. Dragging a side change one dimension, while dragging a will simultaneously change horizontal and vertical dimensions.


Exporting a Chart

Many users take advantage of EasySpreadsheet to create charts from various sets of data. If you want to export a chart for pasting in an EasyWord document, or in another program, you easily can.

To export a chart:

  1. Double-click the chart you want to export with your left mouse button.

  2. Right-click the chart once. A menu will appear.

  3. Click Save As.

  4. The Save As window will appear. Here, specify how you want to save your chart:

    • Save in: Select a folder or directory to save your chart in. If you want to late use the chart in EasyWord, then you should save the chart in EasyWord's default chart directory: My Documents.

    • File name: Type in a name for your chart file. You may want to give a more descriptive name than the default 'Chart'.

    • Save as type: Select a file type for your chart. The default type is *.vtc (Chart File); however, you might want to save the chart as a bit-mapped image, JPEG or Windows Metafile instead.

  5. Click Save.

  6. Your chart will be saved as an image file in the location you chose. You can insert this file into EasyWord documents, or other programs.


Chart Help Window

The Chart Help Window provides instructions on formatting, moving, and resizing your charts. It appears when you click on a chart that you have inserted.

Once you are experienced in editing charts, you may not need the window anymore. To disable the Chart Help Window (or, to enable it if you have previously disabled it):

  1. Go to the Tools menu, and click Options.

  2. An Options window will appear. Click the Chart tab.

  3. Un-check (or, check off to enable) Show Chart Help Window Next Time.

  4. Click OK.

Note: The Chart Help Window can also be disabled by checking off Don't show me any more in the actual window.


Inserting Functions

Functions perform such operations as summing a range of cells, rounding, determining the square root of a number, or generating a random number. EasySpreadsheet provides a large number of functions for you to use in formulas.

To insert a function:

  1. Select the cell you want to insert the function into.

  2. Go to the Insert menu, and select Function. Or, if you are in Advanced Mode, click the f(x) button (shown below).

  3. An Insert Formula window will appear.

  4. Choose a category (Mathematical, Logical, etc.) from the Category box.

  5. The list of functions (ABS, ACOS, etc.) for the selected category will appear in the Function List. For details on a function in this list, single-click on it. The details will appear in the Function Description box.

  6. Double-click on the function that you wish to insert. The function will appear in the Formula box (at the top of the Insert Formula window).

  7. Most functions require parameters. The necessary parameters are shown in the Function Description box; they are found within the closed brackets that follow the function name. For example, the parameter of the ABS function is (number), and the parameter of the SUM function is (number_list).

Type the required parameters in the Formula box, within the brackets provided. For example, the ABS function requires one number or a single cell reference for its parameter. The SUM function, however, accepts a list of numbers (separated by commas) or a cell range (such as A1:A20).

  8. To add another function to the cell, double-click a function from the Function List. The function will be added to the Formula box. The functions will be automatically separated by a plus (+) sign, but you can edit this if necessary (e.g., change it to an asterisk (*) for multiplication).

  9. Click OK when you are finished. The formula containing your function(s) will be inserted into the cell you selected. The value (result) of the formula will appear in the cell, while the formula will appear in the formula bar above your spreadsheet.

Insert Function Example

Put some test values in cells B2, B3, and B4. Suppose that you wanted the average of the values in cells B2 to B4 to appear in cell B5. You could create a formula to add all the cells, and then divide by the number of cells; however, it is easier to use the AVERAGE function:

  1. Click cell B5 to select it. A heavy border will appear around the cell.

  2. Go to the Insert menu, and click Function. Or, in Advanced Mode, click the f(x) icon.

  3. The Insert Formula window will appear.

  4. In the Category box, choose Statistical.

  5. In the Function List, double-click on AVERAGE..

  6. AVERAGE() will appear in the formula box. Within the brackets, type B2, B3, B4. Or, type B2:B4, which specifies the range of cells from B2 to B4.

  7. Click OK.

  8. The average of values B2, B3 and B4 will appear in cell B5, while =AVERAGE(B2,B3,B4) will appear in the formula bar.

See Also:

Entering Functions


Inserting Symbols

EasySpreadsheet includes a large number of symbols, including foreign language characters.

To insert a symbol into your sheet:

  1. Select the cell you want to insert the symbol into. A heavy border will appear around the cell.

  2. Go to the Insert menu, and click Insert Symbol.

  3. An Insert Symbol window will appear, with a variety of symbols.

  4. If you move your mouse cursor over a symbol without clicking, a larger image of the symbol will appear in the top, right corner of the window.

  5. Click on the symbol you would like to insert. It will be inserted into the selected cell in your sheet.

See Also:

International Characters


Inserting a Hyperlink

Inserting Hyperlinks

EasySpreadsheet allows you to insert a hyperlink into your sheet. This link could be to a file, an e-mail address, or a Web Page address.

To insert a hyperlink:

  1. Select the cell that you want to insert the hyperlink into. It is recommended that you select an empty cell - otherwise, your cell contents will be erased and replaced by the hyperlink.

  2. Go to the Insert menu, and select Hyperlink. Or, if you are in Advanced Mode, click the icon that looks like a chain-link (shown below).

  3. An Insert Hyperlink window will appear.

  4. In the Text to Display box, type in the text you want to label your hyperlink with. By default, this text will be underlined and colored blue in your sheet, to show that it can be clicked with the mouse. For example, if you type 'Johnny's e-mail' in the Text to Display box, the hyperlink will appear as Johnny's e-mail in your sheet. (Note: If you do not want your hyperlink to be underlined and blue, you can format the text as you would any other text when you return to your sheet. See Formatting Text and Numbers.)

  5. In the next field, type the File location, E-mail address, or Web Page address:

    • For a File, type the location of the file that you want attached to the hyperlink (e.g., C:\MyDocuments\DogPicture.gif). When you click the hyperlink in your sheet, your computer will open the file using an appropriate program. (Note: Your computer must be equipped with a program capable of opening the file, or else the file can not be viewed.)

    • For an E-mail address, type a specific e-mail address (e.g., johndoe@e-press.com). When you click the hyperlink in your sheet, your computer's default e-mail program will be opened, so that you can type and send a message to that address.

    • For a Web Page address, type a specific Web Page address (e.g., www.e-press.com). When you click the hyperlink in your sheet, it will open your computer's default web page browser (e.g., Microsoft Internet Explorer) and automatically go to that address.

  6. Click OK when you are finished. Your hyperlink will be inserted into the selected cell in your sheet.


Inserting Comments

You can insert hidden comments into your spreadsheet. They are especially helpful when multiple users are reviewing and editing the same sheet. While you can view these comments on your screen, they will NOT be printed out.

To insert a comment:

  1. Click on the cell that you would like your comment to be attached to.

  2. Under the Insert menu, select Comment.

  3. A Hidden Comment window will appear. Type your comment in the text box. (Note: Do not press the Enter key - if you do so, you will be brought back to your spreadsheet).

  4. You can select the name of the user who is writing the comment from the Comment by or 'Type of Comment' box.

  5. Select the color of the comment from the Comment Color box. In your document, the cell that you have attached this comment to will be filled this color. This color WILL be printed out. (Hint: If you do not want the comment colors to be printed, change the colors of the cells before printing. Select the colored cells. Then, click down arrow on the Fill Color icon, and select No Fill Color. You may instead go to Format -> Cells -> Patterns, and click Automatic under Fill Color.)

  6. If you would like to insert a voice or sound comment instead, click the Import a Voice Comment button. An Open window will appear, allowing you to select a sound file. Once a sound file has been selected, {EMBED VOICE} will appear in the text box, and a Play button will appear below it. To hear the sound, click Play. (Note: Do NOT erase {EMBED VOICE} from the text box, unless you decide to insert a text comment instead. If you erase {EMBED VOICE}, the sound file will no longer be attached to the comment.)

  7. Click OK...Insert this Hidden Comment, and your comment will be inserted. You will be returned to your sheet. The cell that you have attached the comment to should be filled with the color you selected.

To view a comment:

  1. Put your mouse cursor over the cell that a comment has been attached to.

  2. A box that displays the comment will appear. If a voice comment was inserted, the comment will read {EMBED VOICE}.

To hear a voice comment:

  1. Click on the cell that the comment is attached to.

  2. Go to the Insert menu, and select Comment.

  3. The Hidden Comments window will appear. Click the Play button to hear the comment.

  4. Click the OK...Insert this Hidden Comment button when you are finished.

To modify a comment:

  1. Click on the cell that the comment is attached to.

  2. Go to the Insert menu, and select Comment.

  3. The Hidden Comments window will appear, where you can change the comment text or sound, reviewer name, and comment color.

  4. Click the OK...Insert this Hidden Comment button when you are finished making your changes.

To print a comment:

  1. Click on the cell that the comment is attached to.

  2. Go to the Insert menu, and select Comment.

  3. The Hidden Comments window will appear. Click the Please Print out this Hidden Comment button.

  4. A Print Setup window will appear, allowing you to set the printer properties. Click OK to print.

  5. Click OK...Insert this Hidden Comment when you are ready to return to your document.

To delete a comment:

  1. Click on the cell that the comment is attached to.

  2. Go to the Insert menu, and select Comment.

  3. The Hidden Comments window will appear. Click the Delete this Hidden Comment button.

  4. The comment will be removed from your document. The highlighting of the word in your document should disappear.


Inserting Shapes

EasySpreadsheet allows you to draw on your worksheet with the help of various drawing tools.

To draw, you must open the Drawing Toolbar:

  1. Go to the View menu.

  2. Go to Toolbars.

  3. Check off Drawing.

  4. The Drawing Toolbar will appear above your spreadsheet.

Here is a quick summary of how each drawing tool functions when you click each button:

Draw a Line: A + cursor will appear. Left-click and hold down your mouse at the location where you want your line to begin. Drag your mouse to the location of where you want your line to end. Release the mouse button, and your line will be drawn.

Draw a Rectangle: A + cursor will appear. Left-click and hold down your mouse button at any position on your sheet. This position will be one corner of your rectangle. Drag your mouse, and a rectangle shape will be drawn. Continue to drag your mouse until the shape is the scale you want.

Draw an Ellipse: A + cursor will appear. Left-click and hold down your mouse button at any position on your sheet. Drag your mouse, and an elliptical shape will be drawn. Continue to drag your mouse until the shape is the scale you want.

Draw an Arc: A + cursor will appear. Left-click and hold down your mouse button at any position on your sheet. Drag your mouse in any direction, and an arc shape will be drawn. Depending on which direction you drag your mouse, the degree of the arc will vary. Drag your mouse in a direction that creates an arc shape to your liking.

Draw a Polygon: A + cursor will appear. Left-click and hold-down your mouse button and move the mouse to draw a free-hand shape. In order to draw a straight line, you must let go after you initially left-click the mouse. In order to complete (close) the shape, you must bring the + to the point where you began drawing, and left-click on the mouse again. This will change the + back to the normal cursor and your shape will be considered complete.

Edit an Existing Polygon: Click on a previously drawn polygon with your mouse. Small square 'nodes' will appear on the outer line of the shape. You can edit the shape of the polygon by clicking and holding the mouse on any of the nodes (the + will appear) and re-positioning them by dragging the mouse and letting go at the new position.

Edit Fill Color of a Graphic Object: You must first click on a previously drawn object (rectangle, ellipse, or polygon). Click on the button (shown above) and the color of the shape will change to the color shown on the button. To choose your own color, click the down arrow located to the right of the button. A palette of colors will appear. Choose the color you want your shape to be. If you do not see the exact color you want, click on More Colors to create your own custom color. Click OK when you are done.

Edit Line Color of a Graphic Object: You must first click on a previously drawn object (line, arc, rectangle, ellipse, or polygon). Click on the button (shown above) and the color of the line will change to the color shown on the button. To choose your own color, click the down arrow located to the right of the button. A palette of colors will appear. Choose the color you want your line to be. If you do not see the exact color you want, click on More Colors to create your own custom color. Click OK when you are done.

Edit Line Style/Weight of a Graphic Object: You must first click on a previously drawn object (line, arc, rectangle, ellipse, or polygon). Click on the button (shown above) and a window will appear where you can pick the style (solid, segmented, no line), weight (line thickness or thinness), and color. Click OK when you are done. (Note: A segmented line will only work with the thinnest line width.)

Edit Properties of a Graphic Object: You must first click on a previously drawn object (line, arc, rectangle, ellipse, or polygon). Click on the button (shown above) and a window will appear with two choices: Patterns and Line Style. Under Patterns, you can choose the Fill Color by clicking one of the colored squares. Next, click on one of the patterns provided, or click None if you do not wish to use a pattern. Choose a color for your pattern by clicking a color under the Pattern Color label. You can view your fill choices in the Sample viewer. For Line Style, you can pick the style (solid, segmented, no line), weight (line thickness or thinness), and color. (Note: A segmented line will only work with the thinnest line width.) Click OK when you are done.

Bring Selected Objects to the Top: When there are many overlapping objects on a sheet, you may want to change the order of them (i.e., you want a shape that is underneath another to appear on top). Click on the object you want to bring to the top. Next, click on the button shown above. Your object will be instantly brought to the top.

Send Selected Objects to the Back: When there are many overlapping objects on a sheet, you may want to change the order of them (i.e., you want a shape that is on top of another to appear behind it). Click on the object you want to send to the back. Next, click on the button shown above. Your object will be instantly sent to the back.

Note: You can change the width, height, scale of an object at anytime. Just click on the object once and square nodes will appear. Click and drag these nodes in order to resize, or scale the object. Let go of the mouse button when you are complete.


Speaking Rows and Columns

EasySpreadsheet can read rows or columns of data aloud. This is useful when proofreading data you have entered.

To have EasySpreadsheet speak a row or column:

  1. Go to the Tools menu, and click Speak Column/Row. Or, if you are in Easy Mode, click the Speak a Column button (in Advanced Mode, click the icon with a speech bubble).

  2. A Speak a Column or Row window will appear.

  3. To have a column read aloud, click Column, and enter a column (A, B, C...) in the box. To have a row read aloud, click Row, and enter a row (1, 2, 3...) in the box.

  4. Click Start Voice. Your row or column, including totals, will be read back to you.


Spelling Check

Spelling Checker

EasySpreadsheet has an advanced, built-in spelling checker.

To check the spelling of your sheet:

  1. Go to the Tools menu, and click Spelling checker. Or, in Advanced Mode, click the Check Spelling icon (with a red checkmark).

  2. A message box will pop up, asking you if you want to continue checking. Click OK.

  3. If there are misspelled words (or, words not in your dictionary), a Check Spelling window will appear.

  4. When EasySpreadsheet comes to the first word misspelled word in your sheet will be displayed in the Consider Changing box.

  5. If the word is not actually a spelling mistake (for example, perhaps it is a name), then click the Add button. The word will be added to your dictionary.

  6. If the word is not actually a spelling mistake but you do not want to add the word to your dictionary, then click the Ignore button.

  7. If the word is a spelling mistake, you should change it.

    • Possible 'correct' alternatives for the word will be given in the Suggestions box. You can select one of these suggested words, and it will appear in the Change To box. Or, you can type your own word in the Change To box.

    • Click the Change button, and EasySpreadsheet will automatically change the word in your sheet with the Change to word.

    • If have made the same spelling error more than once in your sheet, you can correct all of the occurrences simultaneously. Click the Change All button

  7. At the bottom left of the Check Spelling window is an Options button. If you click the Options button, you will be given choices on how you want the spelling check routine to work. For example, you can have it ignore capitalized words. (See Spelling Options.)

  8. You can cancel the spelling check at any time. Simply click the Cancel button.

  9. When the spelling check is complete, a window will appear to let you know. It will tell you how many errors were detected, and how many of these were changed. Click OK, and you will be brought back to your sheet.

Real-time Spelling Checker

EasySpreadsheet can inform you of spelling errors while you type:

  • To have spelling errors appear in red, go to the Tools menu, and check off Change spelling mistakes to red font. To turn this option off, simply un-check it.

  • To have spelling errors read aloud while you type, go to the Tools menu, and click Read out loud spelling mistakes. To turn this option off, simply un-check it.


Spelling Options

To choose your spelling checker options:

  1. If you are currently running the spell check (i.e., the Check Spelling window is open), click the Options button. If not, go to the Tools menu, and click Spelling Options.

  2. An Options window will appear. Here, you can select the types of errors you would like EasySpreadsheet to find, and the types you would like to be ignored. For example, you may want the spell check to skip domain names, such as www.e-press.com. You might want to tell the spelling checker to ignore words that contain capitalized letters, words with numbers, or words with mixed case. You can also ask the spelling checker to auto-correct (i.e., correct automatically, while you type) a variety of spelling mistakes. There are a number of other options such as giving phonetic or typographical suggestions for spelling mistakes, and so on.

  3. Under Main Dictionary Language, you can choose the dictionary that you want EasySpreadsheet to use. You may, for example, wish to use a Medical dictionary, or a dictionary of another language. However, even though different written language dictionaries may be available, your version of EasySpreadsheet may have only come with an English (or other particular language) voice speaker. In such a case, you should probably turn the Voice Reminder for Spelling Error off (un-check it under the Dictation menu). For example, if you are using the German dictionary, you may not want an English speaker reading German spelling mistakes.

  4. Under Suggestions, you can change the speed of the spell checker.

  5. Note that not all options will work on all configurations of operating systems and versions of EasySpreadsheet.

  6. Click OK when you are finished setting the spelling checker options. EasySpreadsheet will remember these settings between sessions - that is, they will not be changed when you quit EasySpreadsheet and re-start it again.


Adding Words to User Dictionary

While working on a sheet, you may notice that EasySpreadsheet has considered a word that you have spelled correctly as a spelling error. If the word is one that you use fairly often, it is a good idea to add it to your dictionary.

EasyOffice includes predefined spelling dictionaries in a variety of languages. When you add a unique word to the dictionary, the word is not actually added to the predefined spelling dictionary that you are using. It is added to your user dictionary.

To add a word to the user dictionary:

  1. Put your cursor on the word. There is no need to select the text.

  2. Go to the Tool menu, and click Add word to dictionary. (Or, right-click to access the Quick-task Menu, and click Add word to dictionary.)

  3. The word will automatically be added to your user dictionary.


Page Setup

To adjust the page setup:

  1. Go to the File2 menu, and click Page Setup.

  2. A Page Setup window will appear.

  3. Click the Page tab.

  4. Here, you can specify the:

  • Orientation: Choose Portrait (long edge vertical) or Landscape (long edge horizontal).

  • Scaling: Choose Adjust to change the size of your sheet print out. To have the sheet print out larger than its normal size, increase the percentage. To have the sheet print out smaller, decrease the percentage to a value less than 100. Or, choose Fit to have your entire sheet squeezed into a certain number of pages.

  • Paper size: Specify the size of paper you are using in your printer (Letter, Legal, A4, etc.).

  • Page Numbering: By default, page numbers will appear at the bottom of each sheet. (To change this setting, see Headers and Footers.) Page Numbering will automatically begin at number one. To start at a number other than one, click Start with page number, and specify a number in the text box.

  5. When you are done, click OK.


Page Breaks

When printing, EasySpreadsheet automatically starts new pages when your spreadsheet exceeds one page. Page breaks can also be inserted manually. Page breaks are useful for larger sheets that print out on several pieces of paper, as they allow you to keep data together that would otherwise be separated during printing.

Vertical Page Breaks

To insert a vertical page break:

  1. Click the column header button (with the column letter) to the right of where you want the page break inserted.

  2. Go to the Insert menu and click Insert Page Break.

  3. A page break will be inserted to the left of your selected column.

To remove a vertical page break:

  1. Click the column header button to the right of the page break you want removed.

  2. Go to the Insert menu and click Remove Page Break.

  3. The page break to the left of your selected column will be removed.

Horizontal Page Breaks

To insert a horizontal page break:

  1. Click the row header button (with the row number) below where you want the page break inserted.

  2. Go to the Insert menu and click Insert Page Break.

  3. A page break will be inserted above your selected row.

To remove a vertical page break:

  1. Click the row header button below the page break you want removed.

  2. Go to the Insert menu and click Remove Page Break.

  3. The page break above your selected row will be removed.


Sheet Setup

To adjust the sheet setup:

  1. Go to the File2 menu, and click Page Setup.

  2. A Page Setup window will appear.

  3. Click the Sheet tab.

  4. Here, you have the following options:

    • Print Area: To print only selected cells, enter a list or range of cells here. See Printing Selected Cells for more details.

    • Grid Lines: If you want thin, black borders to appear around the cells when you print your sheet, check off this option. Not recommended if you have already formatted the cell borders.

    • Black and White: If you have changed the color of your font, or colored the background of cells, but would like them to be printed in black and white, check off this option. Note that cell borders will still be printed in color.

    • Row Headings: To print row headings (1, 2, 3...) along with your sheet, check off this option.

    • Column Headings: To print column headings (A , B, C...) along with your sheet, check off this option.

    • Page Order: Select an order for your sheets to be printed (top to bottom, or left to right). This is especially useful if you have inserted several page breaks.

  5. When you are done, click OK.


Setting Margins

The standard margin setting in EasySpreadsheet is 0.75 inches on the left and right, and 1 inch on the top and bottom. The header and footer will be 0.5 inches from the edge of the page. You can, however, change these margin sizes.

To change the margin size:

  1. Go to the File2 menu, and click Page Setup.

  2. A Page Setup window will appear.

  3. Click the Margins tab.

  4. Type in your new margin sizes. To use centimeters instead of inches, select it from the Units box.

  5. If you would like your spreadsheet to be centered on your page, check off Horizontally and/or Vertically.

  6. When you are done, click OK. The margins of your sheet(s) have been changed.


Header and Footer

The header and footer will appear at the top and bottom, respectively, of each sheet that you print.

By default, the header will display the name of the sheet. The footer will display the page number. Both the header and footer will be centered on the page.

To customize the header and footer:

  1. Go to the File2 menu, and click Page Setup.

  2. A Page Setup window will appear.

  3. Click the Header/Footer tab.

  4. In the Header box, type the text that you want to have appear at the top of each printed page. In the Footer box, type the text that you want to have appear at the bottom of each printed page. More experienced users may wish to use codes to adjust the font attributes and the alignment, or to add information such as the page number and date. See "Header and Footer Codes", below.

  5. When you are done, click OK.

  6. The header and footer you created will appear on each page that you print.

Note: To access the header and footer, you may instead go to the View menu, and click Header and Footer.

Header and Footer Codes

Before using codes, note that:

  • Alignment codes (&L, &C, &R) should be placed BEFORE font codes (&B, &I, etc.). Codes for worksheet information (&D, &A, etc. ) should be placed last.

  • Codes can be entered in upper or lower case.

  • Codes should be separated from each other by a space.

  • If you do not specify to a text alignment, then the text will be centered by default.

To view a list of the header and footer codes, go to the View menu, and click Header and Footer Codes. The codes include:

Code | Description
Alignment
&L | left-aligns the characters that follow
&C | centers the characters that follow
&R | right-aligns the characters that follow
Font
&12 | uses font size 12 (you can enter whatever size you'd like)
&B | bolds the characters that follow
&I | italicizes the characters that follow
&U | underlines the characters that follow
&S | strikes out the characters that follow
Information
&D | prints the current system date
&T | prints the current system time
&F | prints the workbook name
&A | prints the worksheet name
&P | prints the page number
&N | prints the total number of pages to be printed out

Examples (for a two-page workbook):

Code | Header/Footer Print Out
Page &P of &N | Page 1 of 2
&B &12 &F / &A | Book1 / Sheet1
&R &I Page &P of &N | Page 1 of 2
&L &B Page &P | Page 1


Page Numbers

When you print sheets, page numbers will automatically be printed at the bottom, center of each page.

Page numbers will be placed in the footer. If you would like to remove the page numbers, print the page numbers at the top of each page, format the font, or adjust the alignment, you must change the header and footer. To modify the header and footer:

  1. Go to the File2 menu, and click Page Setup.

  2. A Page Setup window will appear. Click the Header/Footer tab.

  3. "Page &P" should appear in the Footer box.

  4. Enter your new header and footer codes. For help on entering header and footer codes, see Header and Footer.

  5. When you are done, click OK.

By default, page numbering will begin at 1. To start at a different number:

  1. Go to the File2 menu, and click Page Setup.

  2. A Page Setup window will appear. Click the Page tab.

  3. Under Page Numbering, click Start with page number, and enter a new page number in the box.

  4. When you are done, click OK.


Print Preview

To see what your workbook will look like when printed:

  1. Go to the File2 menu, and click Print Preview. Or, in Advanced Mode, click the Print Preview icon (shown below).

  2. Your sheet will appear as it will look when printed.

  3. By default, you will view one sheet (page) at a time. To view two sheet at once, click Two Page.

  4. To enlarge the sheet, click Zoom In. To shrink the sheet again, click Zoom Out.

  5. To see the next sheet, click Next Page. To see the previous page, click Prev Page.

  6. If you would like to print your sheet(s), click Print.

  7. To return to your workbook, click Close.


Printing a Sheet

Printing Sheets

To print your current, active sheet:

  1. Ensure that the sheet you want to print is currently active. If it is not, click the tab at the bottom of the sheet.

  2. Do one of the following:

    • Go to the File2 menu, and click Print. Or,

    • In Easy Mode, click the Print this Document button (in Advanced Mode, click the button that looks like a printer). Or,

  • Use the Ctrl+P keyboard shortcut.

  3. A Print window will appear.

  4. Under Print What, ensure that Selected Sheet(s) is selected.

  5. Click OK. Your current sheet will be sent to the printer.

Printing Multiple Sheets

To print a selection of sheets:

  1. Select the sheets you wish to print. To select multiple sheets, hold down the Ctrl (or Shift) key, and click the tabs at the bottom of the sheets.

  2. Do one of the following:

    • Go to the File2 menu, and click Print. Or,

    • In Easy Mode, click the Print this Document button (in Advanced Mode, click the button that looks like a printer). Or,

  • Use the Ctrl+P keyboard shortcut.

  3. A Print window will appear.

  4. Under Print What, ensure that Selected Sheet(s) is selected.

  5. Click OK. Your selected sheets will be sent to the printer.


Printing Workbooks

To print an entire workbook:

  1. Do one of the following:

    • Go to the File2 menu, and click Print. Or,

    • In Easy Mode, click the Print this Document button (in Advanced Mode, click the button that looks like a printer). Or,

  • Use the Ctrl+P keyboard shortcut.

  3. A Print window will appear.

  4. Under Print What, click Entire Workbook.

  5. Click OK. All of the sheets of your current workbook will be sent to the printer.


Printing Selected Cells

By default, EasySpreadsheet will print your entire current sheet; however, you have the option of printing a group of selected cells instead.

To print selected cells:

  1. Select the cells that you want to print.

  2. Go to File2 menu, and click Print Area: Set selected area as the area to print. The selected cells will automatically be set as the area to print.

  3. Print your document as usual:

    • Go to the File2 menu, and click Print. Or,

    • In Easy Mode, click the Print this Document button (in Advanced Mode, click the button that looks like a printer). Or,

    • Use the Ctrl+P keyboard shortcut.

  4. A Print window will appear.

  5. Click OK. Your selected cells will print out.

Manually Setting Print Area

To set the print area manually:

  1. Go to the File2 menu, and click Page Setup.

  2. A Page Setup window will appear.

  3. Click the Sheet tab.

  4. In the Print Area box, type in the cells or cell range that you would like to print.

  5. When you are finished, click OK. Your print area will be set; when you print your sheet, only the cells or cell range you specified will be printed out.

Clearing Selected Print Area

If you printed a selected area of cells, and would now like to print another group of cells, sheets, or a workbook, you should clear the print area you selected. To clear the print area:

  1. Go to the File2 menu.

  2. Click Clear previously set print areas.

  3. Your selected print area will be cleared. Now, by default, EasySpreadsheet will print your entire current sheet.


Sending a Document as a FAX

Sending a Spreadsheet as a FAX

EasySpreadsheet allows you to send a document as a FAX.

Please remember that in order to send a FAX, your computer needs a valid FAX-modem card and the appropriate software drivers for that card. If the FAX-modem card drivers are not present on your computer, or if Windows NT/2000 will not let you use the software drivers (e.g. security setting), then you will not be able to send out FAX's. Most problems we have encountered to date with the FAX component are due to the FAX-modem card in the computer not being set up correctly.

Sending the Current Sheet as a FAX

To send a sheet as a FAX, ensure that it is the current, active sheet in EasySpreadsheet. The sheet can then be FAXed by doing one of the following:

  • Under the File2 menu, select Send as FAX. Or,

  • Use the Ctrl+D keyboard shortcut. Or,

  • In Easy Mode, click the Send as Fax button.

You will be prompted for information required to create a cover page, including a FAX-to telephone number. This cover page along with your current document, will then automatically be FAXed to the telephone number you specified.

Please enter all telephone digits that must be dialed as part of the FAX phone number. For example, if I am in Los Angeles and I want to send a FAX to the number 555-5555 in Toronto (with area code 416), then I would enter '1-416-555-5555' .

If errors occur during FAX transmission, you will be informed. If the line is busy, you will be so informed, and asked if you want to re-transmit the FAX.

Upgrading the FAX System

Please go to www.e-press.com to upgrade your version of EasySpreadsheet. This will automatically upgrade the FAX component of EasySpreadsheet.

"My Version of EasyOffice says that FAX Drivers are not included. Why?"

For reasons of licensing, the FAX drivers (these are not the hardware FAX-modem low-level drivers, but the next level above) cannot be distributed as a free downloads product. The FAX drivers are present on the CD-ROM version of EasyOffice, and in the case of downloadable versions of EasyOffice, may only be downloaded if a Commercial UserID is obtained. The FAX features of EasySpreadsheet should thus NOT, at this time, be considered as features of any demonstration version or free version of EasyOffice. However, please note that we are actively searching for a freely downloadable (and reliable, of course) FAX driver to use with EasyOffice.


Sending a Sheet as E-mail

EasySpreadsheet can quickly send your sheet as e-mail. A sheet can be sent in the body of an e-mail, or as an attachment.

Your computer must be connected to the Internet in order for an e-mail to be sent. If you are not connected via a standard e-mail program such as Microsoft Outlook Express or equivalent, you will receive a descriptive error message when you try to send an e-mail.

To send your sheet as e-mail:

  1. Ensure that the sheet you wish to send as e-mail is active. If it is not, click the tab at the bottom of the sheet.

  2. If you are in Easy Mode, click the Send as E-mail button. In Advanced Mode, click the icon that looks like a mail box. You may instead go to the File2 menu, and select Send E-mail to send your sheet as HTML, or Send E-Mail as Attachment to send your sheet as an attachment..

  2. Your default e-mail program will open automatically. You will be presented with a new e-mail that includes your sheet, ready to send to the people you choose. Note that only the current sheet (rather than the entire workbook) will be sent as e-mail.

Sending a Sheet as HTML

If a sheet is sent as HTML, it will be converted to HTML and inserted into the body the e-mail.

To use this setting by default, go to the File2 menu, and check off Set E-Mail button to send as HTML. Now, when you click the Send as E-mail button, your sheet will be inserted into the body of an e-mail.

Sending a Sheet as an Attachment

If a sheet is sent as an attachment, it will NOT be inserted into the body of the e-mail. Instead, a file that the recipient must open will be attached to the e-mail.

To use this setting by default, go to the File2 menu, and check off Set E-Mail button to send as attachment. Now, when you click the Send as E-mail button, your sheet will be attached to a new e-mail.

Making Outlook Express your Default E-mail Program

If your computer has several e-mail programs, but would like to make Outlook Express your default (thus, the e-mail program in which EasySpreadsheet and EasyWord will use), follow these steps:

  1. Run Outlook Express.

  2. Under the Tools menu, select Options, then General.

  3. If Outlook Express is not already your default e-mail program, the Default Messaging Programs section should read:This application is NOT the default Mail Handler. If, however, you see This application is the default Mail Handler, then Outlook Express is already your default program.

  4. Click Make Default, followed by Apply, then OK.

Note for Netscape Users

If you use Netscape (rather than Microsoft Outlook Express) for your e-mail, please note that your document will be sent as an attachment (rather than appear within the body of your e-mail, as with Outlook Express).


"File contains a feature not supported by....."

"#FUNCTION! ......"

"Unsupported Chart"

Use the Microsoft Excel Viewer to view the spreadsheet. For help on using this viewer, see Microsoft Excel Viewer.

You should be able to successfully retrieve most Excel spreadsheets. However, if the Excel spreadsheet contains a function not supported in EasySpreadsheet (generally the less-used, specialized functions), the error message #FUNCTION! (or something similar) may appear in the formula bar or the cell. In the next major version of EasySpreadsheet, it is expected that most, if not all, of Excel's functions will be incorporated into EasySpreadsheet.


"Where did my graphics go?"

If you cannot view a chart, use the Microsoft Excel Viewer. For help on using this viewer, see Microsoft Excel Viewer.

If your sheet is saved in the EasySpreadsheet Format (*.ess), your graphics and charts will also be saved. However, if your sheet is saved in the Microsoft Excel Format (*.xls), your graphics and charts will NOT be saved. In the next major version, it is expected that EasySpreadsheet will be able to save and retrieve two-dimensional graphics and charts in the *.xls format.

See Also:

Compatible File Types


"Invalid File Format...."

Microsoft Excel 4 (or lower) and other spreadsheet formats will cause this error message to occur.

Use the Microsoft Excel Viewer to view the spreadsheet. For help on using this viewer, see Microsoft Excel Viewer.

See Also:

Compatible File Types


EasyCalculator

Using EasyCalculator

EasyCalculator contains all the functions of a regular calculator, while recording every step you make in the window above the buttons. You can copy results and paste them into cells of EasySpreadsheet.

To open EasyCalculator:

  • Go to the Tools menu, and click Calculator. Or,

  • In Easy Mode, click the Tape Calculator button. Or,

  • In Advanced Mode, click the EasyCalculator icon.

Help files for EasyCalculator are located within the calculator itself. Click the HELP button on the calculator, and a HELP: EasyCalculator Options & Features menu will appear. To view the help files, click More Help Files.


File Associations

A File association allows you to double-click a spreadsheet file anywhere in Windows, and have a program such as Microsoft Excel or EasySpreadsheet open it.

If you were previously using Microsoft Office, and you double-click a spreadsheet (*.xls) file, it will open automatically with Microsoft Excel. If you were not previously using any particular office suite or spreadsheet program, and you double-click a spreadsheet (*.xls) file, Windows will pop up a dialog box, asking you to choose a program to open the file with.

EasyOffice has the option of setting file associations upon installation. It does NOT automatically do so, since in the past, a number of users have wanted to keep their existing Microsoft Office file associations.

If you did not set the file associations to EasyOffice during installation, you can easily do so from within EasySpreadsheet (or from within EasyWord, or EasyHelper). It's easy, fast, and you don't even have to reboot the computer.

Changing File Associations

  1. Go to the File2 menu, and select File Associations.

  2. A Change file association help window will appear. Click OK, continue.

  3. You will be brought to a Restore your file associations window.

  4. Check off the file types whose file association you want to change.

  5. For the checked-off file type, you have the option to:

    • Set to EasyOffice: The file associations will be set to EasyOffice; that is, when you double-click a file (of one of the types that you have checked off), it will automatically open in an EasyOffice program. For example, double-clicking an .xls file will cause EasySpreadsheet to start, and open the worksheet.

If the file associations are set to EasyOffice, the programs that will open the files are:

File Type | Default Program
.rtf | EasyWord
.doc | EasyWord
.txt | EasyWord
.xls | EasySpreadsheet
.zip | EasyZip

Note: Unless changed manually, EasySpreadsheet will always be used to open .ess files.

    • Restore to Original Settings: If your file associations are already set to EasyOffice, you may change them back to their original settings. The file associations will be restored to whatever was set prior to setting file associations to EasyOffice.

Your previous file associations are stored in the registry of your computer. When you restore your file associations, these stored associations are what your settings will return to. If restoring your file associations does not give the results you were looking for, it is because the file associations that you now want did not exist before the associations were set to EasyOffice. (They may have existed earlier, but were changed by another program, prior to setting file associations to EasyOffice.)

If you want to associate another program (i.e., a program that was not associated before you installed EasyOffice) with a file type, you must do so via File Types in Windows (described in "Setting File Associations Manually", below), or by installing the program again (assuming that program sets the file associations upon installation).

  6. Click OK.

  7. File associations are now changed.

  8. If you selected Set to EasyOffice:

    • Double-clicking an .xls or .ess file will cause EasySpreadsheet to start and open the file.

    • If you previously had, for example, Microsoft Excel spreadsheet files on your computer, they were represented on the desktop by a Microsoft Excel icon. The next time you refresh your desktop (or reboot your computer), these files will no longer be represented by the Microsoft icon, but instead an EasySpreadsheet icon. Your spreadsheet files have NOT been changed in any way by EasySpreadsheet. The icon used to represent these files is related only to your file associations.

If you selected Restore Original Settings:

    • If you restored your .xls file associations back to, for example, Microsoft Excel, then the next time you refresh your desktop (or reboot your computer), the EasySpreadsheet icons will change back to Microsoft Excel icons. Windows uses icons to represent the file associations, but the actual document file does NOT change.

    • Before installing EasyOffice, perhaps when you double-clicked an .xls file, it was opened in Microsoft Excel. Then, you set the file association for .xls files to EasyOffice, so that EasySpreadsheet would open them upon a double-click. After restoring your original file association settings, .xls files will no longer open automatically in EasySpreadsheet - they will again be opened in Microsoft Excel (or the program that was originally associated with .xls files).

    • When doubled-click, .ess files will still be opened with EasySpreadsheet.

Setting File Associations Manually

Setting file associations manually is not necessary, nor is it always easily possible; for example, you may not be able to easily find the file type you that want to associate. However, some users may want to do so in order to associate some other program with a given file type.

Windows 95 / Windows 98:

  1. In My Computer or in Windows Explorer, go to the View menu and click Folder Options.

  2. Click the File Types tab.

  3. Select the file type (e.g., an .xls file).

  4. Click Edit.

  5. In the Actions box, click open. (This will highlight it.)

  6. Click Edit.

  7. In Applications used to perform action enter the program you want associated with the file type (or, use the Browse button to select the program).

  8. Click OK.

Windows Me / Windows 2000:

  1. In My Computer or in Windows Explorer, go to the Tools menu and click Folder Options.

  2. Click the File Types tab.

  3. Select the file type (e.g., an .xls file)

  4. Click Change.

  5. Select the program you want to associate with the file.

  6. Click OK.

Un-installing EasyOffice & File Associations

When you un-install EasyOffice (if you ever do so), during the un-installation, EasyOffice will automatically write back to the registry the original settings for the associations of the .xls files.

If these programs are no longer on your computer, or Windows has somehow otherwise changed since the installation of EasyOffice, then file types such as .xls will no longer be associated with any program; when you double-click them, nothing will happen. To associate these file types again, you can follow the procedure shown above ("Setting File Associations Manually"). If this procedure does not work, then you may have to install the desired program again.

For example, perhaps .xls files originally opened in Microsoft Excel when double-clicked, but you then set the .xls file association to EasyOffice. When you un-install EasyOffice, the file association will be set back to Microsoft Excel. If Windows does not allow this restoration, perform the association yourself, as described above. If that fails, re-install Microsoft Excel.


Compatibility with Microsoft Excel and Other Products

You can retrieve spreadsheets in the following formats:

If EasySpreadsheet cannot open an Excel file, then the Excel Viewer is automatically called.

The Excel Viewer can open almost all Excel files from Excel 2.0 to Excel 2000 files. (However, while you can view and print the files, you cannot edit them inside the Excel Viewer.)

You can retrieve and save spreadsheets in the following formats:

EasySpreadsheet File Format (*.ess) - This is the default file format used by Easy Spreadsheet.

Microsoft® Excel File Format (*.xls) - The Easy Spreadsheet files that you save in Excel95-2000 format, should in general, be perfectly compatible with Excel (i.e., another person using Excel will be able to perfectly load in your spreadsheet). However, at this time, graphics are not saved by EasySpreadsheet into the *.xls file format. In the next major version of Easy Spreadsheet, it is expected that EasySpreadsheet will both save and retrieve 2-dimensional graphics in the Excel *.xls file format.

You should be able to successfully retrieve most Excel spreadsheets. However, if the Excel spreadsheet contains a function not supported in EasySpreadsheet (generally the less-used, specialized functions), the error message #FUNCTION! (or something similar) may appear in the formula bar. In the next major version of EasySpreadsheet, it is expected that most, if not all, of Excel's functions will be incorporated into EasySpreadsheet.

Tab delimited text files (*.txt) - An industry-standard spreadsheet file format. EasySpreadsheet graphics, however, usually do not save in this format.

Comma separated files (*.csv) - An industry-standard spreadsheet file format. EasySpreadsheet graphics, however, usually do not save in this format.

HTML Web Page files (*.htm) - The present version of EasySpreadsheet can save the spreadsheet data (but not the graphics) as an industry-standard Web (html) file.

Encrypted zip files (*.zip) - The present version of EasySpreadsheet can save as a password-protected encrypted zip file. Any standard zip program (or EasySpreadsheet itself) can un-encrypt and decompress this file.

"How do I import a Lotus123 file into EasySpreadsheet?"

EasySpreadsheet does not have a Lotus123 filter.

If you want to convert old Lotus123 spreadsheets to EasyOffice, then you should from Lotus123 first save them as generic CSV (or other standard file format) spreadsheet files. Then you can import these files into EasySpreadsheet.

Note:

  • Compatibility with other file formats allows EasySpreadsheet to be a versatile tool. However, this compatibility, particularly the import of MIcrosoft® Excel Spreadsheets, is not complete and should not be relied on in any mission-critical application. The above information is subject to change without notification.